Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Interface PKCS11Constants

public interface PKCS11Constants

This interface holds constants of the PKCS#11 v2.11 standard. This is mainly the content of the 'pkcs11t.h' header file. Mapping of primitiv data types to Java types:

       TRUE .......................................... true
       FALSE ......................................... false
       CK_BYTE ....................................... byte
       CK_CHAR ....................................... char
       CK_UTF8CHAR ................................... char
       CK_BBOOL ...................................... boolean
       CK_ULONG ...................................... long
       CK_LONG ....................................... long
       CK_FLAGS ...................................... long
       CK_NOTIFICATION ............................... long
       CK_SLOT_ID .................................... long
       CK_SESSION_HANDLE ............................. long
       CK_USER_TYPE .................................. long
       CK_SESSION_HANDLE ............................. long
       CK_STATE ...................................... long
       CK_OBJECT_HANDLE .............................. long
       CK_OBJECT_CLASS ............................... long
       CK_HW_FEATURE_TYPE ............................ long
       CK_KEY_TYPE ................................... long
       CK_CERTIFICATE_TYPE ........................... long
       CK_ATTRIBUTE_TYPE ............................. long
       CK_VOID_PTR ................................... Object[]
       CK_BYTE_PTR ................................... byte[]
       CK_CHAR_PTR ................................... char[]
       CK_UTF8CHAR_PTR ............................... char[]
       CK_MECHANISM_TYPE ............................. long
       CK_RV ......................................... long
       CK_RSA_PKCS_OAEP_MGF_TYPE ..................... long
       CK_RSA_PKCS_OAEP_SOURCE_TYPE .................. long
       CK_RC2_PARAMS ................................. long
       CK_MAC_GENERAL_PARAMS ......................... long
       CK_EXTRACT_PARAMS ............................. long
       CK_PKCS5_PBKD2_PSEUDO_RANDOM_FUNCTION_TYPE .... long
       CK_PKCS5_PBKDF2_SALT_SOURCE_TYPE .............. long
       CK_EC_KDF_TYPE ................................ long
       CK_X9_42_DH_KDF_TYPE .......................... long

Invariants

Field Summary
`static long` | `CK_EFFECTIVELY_INFINITE`
`static long` | `CK_INVALID_HANDLE`
`static long` | `CK_UNAVAILABLE_INFORMATION`
`static long` | `CKA_AC_ISSUER`
`static long` | `CKA_ALLOWED_MECHANISMS`
`static long` | `CKA_ALWAYS_AUTHENTICATE`
`static long` | `CKA_ALWAYS_SENSITIVE`
`static long` | `CKA_APPLICATION`
`static long` | `CKA_ATTR_TYPES`
`static long` | `CKA_AUTH_PIN_FLAGS`
`static long` | `CKA_BASE`
`static long` | `CKA_BITS_PER_PIXEL`
`static long` | `CKA_CERTIFICATE_CATEGORY`
`static long` | `CKA_CERTIFICATE_TYPE`
`static long` | `CKA_CHAR_COLUMNS`
`static long` | `CKA_CHAR_ROWS`
`static long` | `CKA_CHAR_SETS`
`static long` | `CKA_CHECK_VALUE`
`static long` | `CKA_CLASS`
`static long` | `CKA_COEFFICIENT`
`static long` | `CKA_COLOR`
`static long` | `CKA_DECRYPT`
`static long` | `CKA_DEFAULT_CMS_ATTRIBUTES`
`static long` | `CKA_DERIVE`
`static long` | `CKA_EC_PARAMS`
`static long` | `CKA_EC_POINT`
`static long` | `CKA_ECDSA_PARAMS`
`static long` | `CKA_ENCODING_METHODS`
`static long` | `CKA_ENCRYPT`
`static long` | `CKA_END_DATE`
`static long` | `CKA_EXPONENT_1`
`static long` | `CKA_EXPONENT_2`
`static long` | `CKA_EXTRACTABLE`
`static long` | `CKA_HAS_RESET`
`static long` | `CKA_HASH_OF_ISSUER_PUBLIC_KEY`
`static long` | `CKA_HASH_OF_SUBJECT_PUBLIC_KEY`
`static long` | `CKA_HW_FEATURE_TYPE`
`static long` | `CKA_ID`
`static long` | `CKA_ISSUER`
`static long` | `CKA_JAVA_MIDP_SECURITY_DOMAIN`
`static long` | `CKA_KEY_GEN_MECHANISM`
`static long` | `CKA_KEY_TYPE`
`static long` | `CKA_LABEL`
`static long` | `CKA_LOCAL`
`static long` | `CKA_MECHANISM_TYPE`
`static long` | `CKA_MIME_TYPES`
`static long` | `CKA_MODIFIABLE`
`static long` | `CKA_MODULUS`
`static long` | `CKA_MODULUS_BITS`
`static long` | `CKA_NEVER_EXTRACTABLE`
`static long` | `CKA_OBJECT_ID`
`static long` | `CKA_OWNER`
`static long` | `CKA_PIXEL_X`
`static long` | `CKA_PIXEL_Y`
`static long` | `CKA_PRIME`
`static long` | `CKA_PRIME_1`
`static long` | `CKA_PRIME_2`
`static long` | `CKA_PRIME_BITS`
`static long` | `CKA_PRIVATE`
`static long` | `CKA_PRIVATE_EXPONENT`
`static long` | `CKA_PUBLIC_EXPONENT`
`static long` | `CKA_REQUIRED_CMS_ATTRIBUTES`
`static long` | `CKA_RESET_ON_INIT`
`static long` | `CKA_RESOLUTION`
`static long` | `CKA_SECONDARY_AUTH`
`static long` | `CKA_SENSITIVE`
`static long` | `CKA_SERIAL_NUMBER`
`static long` | `CKA_SIGN`
`static long` | `CKA_SIGN_RECOVER`
`static long` | `CKA_START_DATE`
`static long` | `CKA_SUB_PRIME_BITS`
`static long` | `CKA_SUBJECT`
`static long` | `CKA_SUBPRIME`
`static long` | `CKA_SUPPORTED_CMS_ATTRIBUTES`
`static long` | `CKA_TOKEN`
`static long` | `CKA_TRUSTED`
`static long` | `CKA_UNWRAP`
`static long` | `CKA_UNWRAP_TEMPLATE`
`static long` | `CKA_URL`
`static long` | `CKA_VALUE`
`static long` | `CKA_VALUE_BITS`
`static long` | `CKA_VALUE_LEN`
`static long` | `CKA_VENDOR_DEFINED`
`static long` | `CKA_VERIFY`
`static long` | `CKA_VERIFY_RECOVER`
`static long` | `CKA_WRAP`
`static long` | `CKA_WRAP_TEMPLATE`
`static long` | `CKA_WRAP_WITH_TRUSTED`
`static long` | `CKC_VENDOR_DEFINED`
`static long` | `CKC_WTLS`
`static long` | `CKC_X_509`
`static long` | `CKC_X_509_ATTR_CERT`
`static long` | `CKD_NULL`
`static long` | `CKD_SHA1_KDF`
`static long` | `CKD_SHA1_KDF_ASN1`
`static long` | `CKD_SHA1_KDF_CONCATENATE`
`static long` | `CKF_ARRAY_ATTRIBUTE`
`static long` | `CKF_CLOCK_ON_TOKEN`
`static long` | `CKF_DECRYPT`
`static long` | `CKF_DERIVE`
`static long` | `CKF_DIGEST`
`static long` | `CKF_DONT_BLOCK`
`static long` | `CKF_DUAL_CRYPTO_OPERATIONS`
`static long` | `CKF_EC_COMPRESS`
`static long` | `CKF_EC_ECPARAMETERS`
`static long` | `CKF_EC_F_2M`
`static long` | `CKF_EC_F_P`
`static long` | `CKF_EC_NAMEDCURVE`
`static long` | `CKF_EC_UNCOMPRESS`
`static long` | `CKF_ENCRYPT`
`static long` | `CKF_EXTENSION`
`static long` | `CKF_GENERATE`
`static long` | `CKF_GENERATE_KEY_PAIR`
`static long` | `CKF_HW`
`static long` | `CKF_HW_SLOT`
`static long` | `CKF_LIBRARY_CANT_CREATE_OS_THREADS`
`static long` | `CKF_LOGIN_REQUIRED`
`static long` | `CKF_OS_LOCKING_OK`
`static long` | `CKF_PROTECTED_AUTHENTICATION_PATH`
`static long` | `CKF_REMOVABLE_DEVICE`
`static long` | `CKF_RESTORE_KEY_NOT_NEEDED`
`static long` | `CKF_RNG`
`static long` | `CKF_RW_SESSION`
`static long` | `CKF_SECONDARY_AUTHENTICATION`
`static long` | `CKF_SERIAL_SESSION`
`static long` | `CKF_SIGN`
`static long` | `CKF_SIGN_RECOVER`
`static long` | `CKF_SO_PIN_COUNT_LOW`
`static long` | `CKF_SO_PIN_FINAL_TRY`
`static long` | `CKF_SO_PIN_LOCKED`
`static long` | `CKF_SO_PIN_TO_BE_CHANGED`
`static long` | `CKF_TOKEN_INITIALIZED`
`static long` | `CKF_TOKEN_PRESENT`
`static long` | `CKF_UNWRAP`
`static long` | `CKF_USER_PIN_COUNT_LOW`
`static long` | `CKF_USER_PIN_FINAL_TRY`
`static long` | `CKF_USER_PIN_INITIALIZED`
`static long` | `CKF_USER_PIN_LOCKED`
`static long` | `CKF_USER_PIN_TO_BE_CHANGED`
`static long` | `CKF_VERIFY`
`static long` | `CKF_VERIFY_RECOVER`
`static long` | `CKF_WRAP`
`static long` | `CKF_WRITE_PROTECTED`
`static long` | `CKG_MGF1_SHA1`
`static long` | `CKG_MGF1_SHA256`
`static long` | `CKG_MGF1_SHA384`
`static long` | `CKG_MGF1_SHA512`
`static long` | `CKH_CLOCK`
`static long` | `CKH_MONOTONIC_COUNTER`
`static long` | `CKH_USER_INTERFACE`
`static long` | `CKH_VENDOR_DEFINED`
`static long` | `CKK_AES`
`static long` | `CKK_BATON`
`static long` | `CKK_BLOWFISH`
`static long` | `CKK_CAST`
`static long` | `CKK_CAST128`
`static long` | `CKK_CAST3`
`static long` | `CKK_CAST5`
`static long` | `CKK_CDMF`
`static long` | `CKK_DES`
`static long` | `CKK_DES2`
`static long` | `CKK_DES3`
`static long` | `CKK_DH`
`static long` | `CKK_DSA`
`static long` | `CKK_EC`
`static long` | `CKK_ECDSA`
`static long` | `CKK_GENERIC_SECRET`
`static long` | `CKK_IDEA`
`static long` | `CKK_JUNIPER`
`static long` | `CKK_KEA`
`static long` | `CKK_RC2`
`static long` | `CKK_RC4`
`static long` | `CKK_RC5`
`static long` | `CKK_RSA`
`static long` | `CKK_SKIPJACK`
`static long` | `CKK_TWOFISH`
`static long` | `CKK_VENDOR_DEFINED`
`static long` | `CKK_X9_42_DH`
`static long` | `CKM_AES_CBC`
`static long` | `CKM_AES_CBC_ENCRYPT_DATA`
`static long` | `CKM_AES_CBC_PAD`
`static long` | `CKM_AES_ECB`
`static long` | `CKM_AES_ECB_ENCRYPT_DATA`
`static long` | `CKM_AES_KEY_GEN`
`static long` | `CKM_AES_MAC`
`static long` | `CKM_AES_MAC_GENERAL`
`static long` | `CKM_BATON_CBC128`
`static long` | `CKM_BATON_COUNTER`
`static long` | `CKM_BATON_ECB128`
`static long` | `CKM_BATON_ECB96`
`static long` | `CKM_BATON_KEY_GEN`
`static long` | `CKM_BATON_SHUFFLE`
`static long` | `CKM_BATON_WRAP`
`static long` | `CKM_BLOWFISH_CBC`
`static long` | `CKM_BLOWFISH_KEY_GEN`
`static long` | `CKM_CAST_CBC`
`static long` | `CKM_CAST_CBC_PAD`
`static long` | `CKM_CAST_ECB`
`static long` | `CKM_CAST_KEY_GEN`
`static long` | `CKM_CAST_MAC`
`static long` | `CKM_CAST_MAC_GENERAL`
`static long` | `CKM_CAST128_CBC`
`static long` | `CKM_CAST128_CBC_PAD`
`static long` | `CKM_CAST128_ECB`
`static long` | `CKM_CAST128_KEY_GEN`
`static long` | `CKM_CAST128_MAC`
`static long` | `CKM_CAST128_MAC_GENERAL`
`static long` | `CKM_CAST3_CBC`
`static long` | `CKM_CAST3_CBC_PAD`
`static long` | `CKM_CAST3_ECB`
`static long` | `CKM_CAST3_KEY_GEN`
`static long` | `CKM_CAST3_MAC`
`static long` | `CKM_CAST3_MAC_GENERAL`
`static long` | `CKM_CAST5_CBC`
`static long` | `CKM_CAST5_CBC_PAD`
`static long` | `CKM_CAST5_ECB`
`static long` | `CKM_CAST5_KEY_GEN`
`static long` | `CKM_CAST5_MAC`
`static long` | `CKM_CAST5_MAC_GENERAL`
`static long` | `CKM_CDMF_CBC`
`static long` | `CKM_CDMF_CBC_PAD`
`static long` | `CKM_CDMF_ECB`
`static long` | `CKM_CDMF_KEY_GEN`
`static long` | `CKM_CDMF_MAC`
`static long` | `CKM_CDMF_MAC_GENERAL`
`static long` | `CKM_CMS_SIG`
`static long` | `CKM_CONCATENATE_BASE_AND_DATA`
`static long` | `CKM_CONCATENATE_BASE_AND_KEY`
`static long` | `CKM_CONCATENATE_DATA_AND_BASE`
`static long` | `CKM_DES_CBC`
`static long` | `CKM_DES_CBC_ENCRYPT_DATA`
`static long` | `CKM_DES_CBC_PAD`
`static long` | `CKM_DES_CFB64`
`static long` | `CKM_DES_CFB8`
`static long` | `CKM_DES_ECB`
`static long` | `CKM_DES_ECB_ENCRYPT_DATA`
`static long` | `CKM_DES_KEY_GEN`
`static long` | `CKM_DES_MAC`
`static long` | `CKM_DES_MAC_GENERAL`
`static long` | `CKM_DES_OFB64`
`static long` | `CKM_DES_OFB8`
`static long` | `CKM_DES2_KEY_GEN`
`static long` | `CKM_DES3_CBC`
`static long` | `CKM_DES3_CBC_ENCRYPT_DATA`
`static long` | `CKM_DES3_CBC_PAD`
`static long` | `CKM_DES3_ECB`
`static long` | `CKM_DES3_ECB_ENCRYPT_DATA`
`static long` | `CKM_DES3_KEY_GEN`
`static long` | `CKM_DES3_MAC`
`static long` | `CKM_DES3_MAC_GENERAL`
`static long` | `CKM_DH_PKCS_DERIVE`
`static long` | `CKM_DH_PKCS_KEY_PAIR_GEN`
`static long` | `CKM_DH_PKCS_PARAMETER_GEN`
`static long` | `CKM_DSA`
`static long` | `CKM_DSA_KEY_PAIR_GEN`
`static long` | `CKM_DSA_PARAMETER_GEN`
`static long` | `CKM_DSA_SHA1`
`static long` | `CKM_EC_KEY_PAIR_GEN`
`static long` | `CKM_ECDH1_COFACTOR_DERIVE`
`static long` | `CKM_ECDH1_DERIVE`
`static long` | `CKM_ECDSA`
`static long` | `CKM_ECDSA_KEY_PAIR_GEN`
`static long` | `CKM_ECDSA_SHA1`
`static long` | `CKM_ECMQV_DERIVE`
`static long` | `CKM_EXTRACT_KEY_FROM_KEY`
`static long` | `CKM_FASTHASH`
`static long` | `CKM_FORTEZZA_TIMESTAMP`
`static long` | `CKM_GENERIC_SECRET_KEY_GEN`
`static long` | `CKM_IDEA_CBC`
`static long` | `CKM_IDEA_CBC_PAD`
`static long` | `CKM_IDEA_ECB`
`static long` | `CKM_IDEA_KEY_GEN`
`static long` | `CKM_IDEA_MAC`
`static long` | `CKM_IDEA_MAC_GENERAL`
`static long` | `CKM_JUNIPER_CBC128`
`static long` | `CKM_JUNIPER_COUNTER`
`static long` | `CKM_JUNIPER_ECB128`
`static long` | `CKM_JUNIPER_KEY_GEN`
`static long` | `CKM_JUNIPER_SHUFFLE`
`static long` | `CKM_JUNIPER_WRAP`
`static long` | `CKM_KEA_KEY_DERIVE`
`static long` | `CKM_KEA_KEY_PAIR_GEN`
`static long` | `CKM_KEY_WRAP_LYNKS`
`static long` | `CKM_KEY_WRAP_SET_OAEP`
`static long` | `CKM_MD2`
`static long` | `CKM_MD2_HMAC`
`static long` | `CKM_MD2_HMAC_GENERAL`
`static long` | `CKM_MD2_KEY_DERIVATION`
`static long` | `CKM_MD2_RSA_PKCS`
`static long` | `CKM_MD5`
`static long` | `CKM_MD5_HMAC`
`static long` | `CKM_MD5_HMAC_GENERAL`
`static long` | `CKM_MD5_KEY_DERIVATION`
`static long` | `CKM_MD5_RSA_PKCS`
`static long` | `CKM_PBA_SHA1_WITH_SHA1_HMAC`
`static long` | `CKM_PBE_MD2_DES_CBC`
`static long` | `CKM_PBE_MD5_CAST_CBC`
`static long` | `CKM_PBE_MD5_CAST128_CBC`
`static long` | `CKM_PBE_MD5_CAST3_CBC`
`static long` | `CKM_PBE_MD5_CAST5_CBC`
`static long` | `CKM_PBE_MD5_DES_CBC`
`static long` | `CKM_PBE_SHA1_CAST128_CBC`
`static long` | `CKM_PBE_SHA1_CAST5_CBC`
`static long` | `CKM_PBE_SHA1_DES2_EDE_CBC`
`static long` | `CKM_PBE_SHA1_DES3_EDE_CBC`
`static long` | `CKM_PBE_SHA1_RC2_128_CBC`
`static long` | `CKM_PBE_SHA1_RC2_40_CBC`
`static long` | `CKM_PBE_SHA1_RC4_128`
`static long` | `CKM_PBE_SHA1_RC4_40`
`static long` | `CKM_PKCS5_PBKD2`
`static long` | `CKM_RC2_CBC`
`static long` | `CKM_RC2_CBC_PAD`
`static long` | `CKM_RC2_ECB`
`static long` | `CKM_RC2_KEY_GEN`
`static long` | `CKM_RC2_MAC`
`static long` | `CKM_RC2_MAC_GENERAL`
`static long` | `CKM_RC4`
`static long` | `CKM_RC4_KEY_GEN`
`static long` | `CKM_RC5_CBC`
`static long` | `CKM_RC5_CBC_PAD`
`static long` | `CKM_RC5_ECB`
`static long` | `CKM_RC5_KEY_GEN`
`static long` | `CKM_RC5_MAC`
`static long` | `CKM_RC5_MAC_GENERAL`
`static long` | `CKM_RIPEMD128`
`static long` | `CKM_RIPEMD128_HMAC`
`static long` | `CKM_RIPEMD128_HMAC_GENERAL`
`static long` | `CKM_RIPEMD128_RSA_PKCS`
`static long` | `CKM_RIPEMD160`
`static long` | `CKM_RIPEMD160_HMAC`
`static long` | `CKM_RIPEMD160_HMAC_GENERAL`
`static long` | `CKM_RIPEMD160_RSA_PKCS`
`static long` | `CKM_RSA_9796`
`static long` | `CKM_RSA_PKCS`
`static long` | `CKM_RSA_PKCS_KEY_PAIR_GEN`
`static long` | `CKM_RSA_PKCS_OAEP`
`static long` | `CKM_RSA_PKCS_PSS`
`static long` | `CKM_RSA_X_509`
`static long` | `CKM_RSA_X9_31`
`static long` | `CKM_RSA_X9_31_KEY_PAIR_GEN`
`static long` | `CKM_SHA_1`
`static long` | `CKM_SHA_1_HMAC`
`static long` | `CKM_SHA_1_HMAC_GENERAL`
`static long` | `CKM_SHA1_KEY_DERIVATION`
`static long` | `CKM_SHA1_RSA_PKCS`
`static long` | `CKM_SHA1_RSA_PKCS_PSS`
`static long` | `CKM_SHA1_RSA_X9_31`
`static long` | `CKM_SHA256`
`static long` | `CKM_SHA256_HMAC`
`static long` | `CKM_SHA256_HMAC_GENERAL`
`static long` | `CKM_SHA256_KEY_DERIVATION`
`static long` | `CKM_SHA256_RSA_PKCS`
`static long` | `CKM_SHA256_RSA_PKCS_PSS`
`static long` | `CKM_SHA384`
`static long` | `CKM_SHA384_HMAC`
`static long` | `CKM_SHA384_HMAC_GENERAL`
`static long` | `CKM_SHA384_KEY_DERIVATION`
`static long` | `CKM_SHA384_RSA_PKCS`
`static long` | `CKM_SHA384_RSA_PKCS_PSS`
`static long` | `CKM_SHA512`
`static long` | `CKM_SHA512_HMAC`
`static long` | `CKM_SHA512_HMAC_GENERAL`
`static long` | `CKM_SHA512_KEY_DERIVATION`
`static long` | `CKM_SHA512_RSA_PKCS`
`static long` | `CKM_SHA512_RSA_PKCS_PSS`
`static long` | `CKM_SKIPJACK_CBC64`
`static long` | `CKM_SKIPJACK_CFB16`
`static long` | `CKM_SKIPJACK_CFB32`
`static long` | `CKM_SKIPJACK_CFB64`
`static long` | `CKM_SKIPJACK_CFB8`
`static long` | `CKM_SKIPJACK_ECB64`
`static long` | `CKM_SKIPJACK_KEY_GEN`
`static long` | `CKM_SKIPJACK_OFB64`
`static long` | `CKM_SKIPJACK_PRIVATE_WRAP`
`static long` | `CKM_SKIPJACK_RELAYX`
`static long` | `CKM_SKIPJACK_WRAP`
`static long` | `CKM_SSL3_KEY_AND_MAC_DERIVE`
`static long` | `CKM_SSL3_MASTER_KEY_DERIVE`
`static long` | `CKM_SSL3_MASTER_KEY_DERIVE_DH`
`static long` | `CKM_SSL3_MD5_MAC`
`static long` | `CKM_SSL3_PRE_MASTER_KEY_GEN`
`static long` | `CKM_SSL3_SHA1_MAC`
`static long` | `CKM_TLS_KEY_AND_MAC_DERIVE`
`static long` | `CKM_TLS_MASTER_KEY_DERIVE`
`static long` | `CKM_TLS_MASTER_KEY_DERIVE_DH`
`static long` | `CKM_TLS_PRE_MASTER_KEY_GEN`
`static long` | `CKM_TLS_PRF`
`static long` | `CKM_TWOFISH_CBC`
`static long` | `CKM_TWOFISH_KEY_GEN`
`static long` | `CKM_VENDOR_DEFINED`
`static long` | `CKM_WTLS_CLIENT_KEY_AND_MAC_DERIVE`
`static long` | `CKM_WTLS_MASTER_KEY_DERIVE`
`static long` | `CKM_WTLS_MASTER_KEY_DERIVE_DH_ECC`
`static long` | `CKM_WTLS_MASTER_KEY_DERVIE_DH_ECC`
`static long` | `CKM_WTLS_PRE_MASTER_KEY_GEN`
`static long` | `CKM_WTLS_PRF`
`static long` | `CKM_WTLS_SERVER_KEY_AND_MAC_DERIVE`
`static long` | `CKM_X9_42_DH_DERIVE`
`static long` | `CKM_X9_42_DH_HYBRID_DERIVE`
`static long` | `CKM_X9_42_DH_KEY_PAIR_GEN`
`static long` | `CKM_X9_42_DH_PARAMETER_GEN`
`static long` | `CKM_X9_42_MQV_DERIVE`
`static long` | `CKM_XOR_BASE_AND_DATA`
`static long` | `CKN_SURRENDER`
`static long` | `CKO_CERTIFICATE`
`static long` | `CKO_DATA`
`static long` | `CKO_DOMAIN_PARAMETERS`
`static long` | `CKO_HW_FEATURE`
`static long` | `CKO_MECHANISM`
`static long` | `CKO_PRIVATE_KEY`
`static long` | `CKO_PUBLIC_KEY`
`static long` | `CKO_SECRET_KEY`
`static long` | `CKO_VENDOR_DEFINED`
`static long` | `CKP_PKCS5_PBKD2_HMAC_SHA1`
`static long` | `CKR_ARGUMENTS_BAD`
`static long` | `CKR_ATTRIBUTE_READ_ONLY`
`static long` | `CKR_ATTRIBUTE_SENSITIVE`
`static long` | `CKR_ATTRIBUTE_TYPE_INVALID`
`static long` | `CKR_ATTRIBUTE_VALUE_INVALID`
`static long` | `CKR_BUFFER_TOO_SMALL`
`static long` | `CKR_CANCEL`
`static long` | `CKR_CANT_LOCK`
`static long` | `CKR_CRYPTOKI_ALREADY_INITIALIZED`
`static long` | `CKR_CRYPTOKI_NOT_INITIALIZED`
`static long` | `CKR_DATA_INVALID`
`static long` | `CKR_DATA_LEN_RANGE`
`static long` | `CKR_DEVICE_ERROR`
`static long` | `CKR_DEVICE_MEMORY`
`static long` | `CKR_DEVICE_REMOVED`
`static long` | `CKR_DOMAIN_PARAMS_INVALID`
`static long` | `CKR_ENCRYPTED_DATA_INVALID`
`static long` | `CKR_ENCRYPTED_DATA_LEN_RANGE`
`static long` | `CKR_FUNCTION_CANCELED`
`static long` | `CKR_FUNCTION_FAILED`
`static long` | `CKR_FUNCTION_NOT_PARALLEL`
`static long` | `CKR_FUNCTION_NOT_SUPPORTED`
`static long` | `CKR_FUNCTION_REJECTED`
`static long` | `CKR_GENERAL_ERROR`
`static long` | `CKR_HOST_MEMORY`
`static long` | `CKR_INFORMATION_SENSITIVE`
`static long` | `CKR_KEY_CHANGED`
`static long` | `CKR_KEY_FUNCTION_NOT_PERMITTED`
`static long` | `CKR_KEY_HANDLE_INVALID`
`static long` | `CKR_KEY_INDIGESTIBLE`
`static long` | `CKR_KEY_NEEDED`
`static long` | `CKR_KEY_NOT_NEEDED`
`static long` | `CKR_KEY_NOT_WRAPPABLE`
`static long` | `CKR_KEY_SIZE_RANGE`
`static long` | `CKR_KEY_TYPE_INCONSISTENT`
`static long` | `CKR_KEY_UNEXTRACTABLE`
`static long` | `CKR_MECHANISM_INVALID`
`static long` | `CKR_MECHANISM_PARAM_INVALID`
`static long` | `CKR_MUTEX_BAD`
`static long` | `CKR_MUTEX_NOT_LOCKED`
`static long` | `CKR_NEED_TO_CREATE_THREADS`
`static long` | `CKR_NO_EVENT`
`static long` | `CKR_OBJECT_HANDLE_INVALID`
`static long` | `CKR_OK`
`static long` | `CKR_OPERATION_ACTIVE`
`static long` | `CKR_OPERATION_NOT_INITIALIZED`
`static long` | `CKR_PIN_EXPIRED`
`static long` | `CKR_PIN_INCORRECT`
`static long` | `CKR_PIN_INVALID`
`static long` | `CKR_PIN_LEN_RANGE`
`static long` | `CKR_PIN_LOCKED`
`static long` | `CKR_RANDOM_NO_RNG`
`static long` | `CKR_RANDOM_SEED_NOT_SUPPORTED`
`static long` | `CKR_SAVED_STATE_INVALID`
`static long` | `CKR_SESSION_CLOSED`
`static long` | `CKR_SESSION_COUNT`
`static long` | `CKR_SESSION_EXISTS`
`static long` | `CKR_SESSION_HANDLE_INVALID`
`static long` | `CKR_SESSION_PARALLEL_NOT_SUPPORTED`
`static long` | `CKR_SESSION_READ_ONLY`
`static long` | `CKR_SESSION_READ_ONLY_EXISTS`
`static long` | `CKR_SESSION_READ_WRITE_SO_EXISTS`
`static long` | `CKR_SIGNATURE_INVALID`
`static long` | `CKR_SIGNATURE_LEN_RANGE`
`static long` | `CKR_SLOT_ID_INVALID`
`static long` | `CKR_STATE_UNSAVEABLE`
`static long` | `CKR_TEMPLATE_INCOMPLETE`
`static long` | `CKR_TEMPLATE_INCONSISTENT`
`static long` | `CKR_TOKEN_NOT_PRESENT`
`static long` | `CKR_TOKEN_NOT_RECOGNIZED`
`static long` | `CKR_TOKEN_WRITE_PROTECTED`
`static long` | `CKR_UNWRAPPING_KEY_HANDLE_INVALID`
`static long` | `CKR_UNWRAPPING_KEY_SIZE_RANGE`
`static long` | `CKR_UNWRAPPING_KEY_TYPE_INCONSISTENT`
`static long` | `CKR_USER_ALREADY_LOGGED_IN`
`static long` | `CKR_USER_ANOTHER_ALREADY_LOGGED_IN`
`static long` | `CKR_USER_NOT_LOGGED_IN`
`static long` | `CKR_USER_PIN_NOT_INITIALIZED`
`static long` | `CKR_USER_TOO_MANY_TYPES`
`static long` | `CKR_USER_TYPE_INVALID`
`static long` | `CKR_VENDOR_DEFINED`
`static long` | `CKR_WRAPPED_KEY_INVALID`
`static long` | `CKR_WRAPPED_KEY_LEN_RANGE`
`static long` | `CKR_WRAPPING_KEY_HANDLE_INVALID`
`static long` | `CKR_WRAPPING_KEY_SIZE_RANGE`
`static long` | `CKR_WRAPPING_KEY_TYPE_INCONSISTENT`
`static long` | `CKS_RO_PUBLIC_SESSION`
`static long` | `CKS_RO_USER_FUNCTIONS`
`static long` | `CKS_RW_PUBLIC_SESSION`
`static long` | `CKS_RW_SO_FUNCTIONS`
`static long` | `CKS_RW_USER_FUNCTIONS`
`static long` | `CKU_CONTEXT_SPECIFIC`
`static long` | `CKU_SO`
`static long` | `CKU_USER`
`static long` | `CKZ_DATA_SPECIFIED`
`static long` | `CKZ_SALT_SPECIFIED`
`static boolean` | `FALSE`
`static String` | `NAME_CKM_AES_CBC`
`static String` | `NAME_CKM_AES_CBC_ENCRYPT_DATA`
`static String` | `NAME_CKM_AES_CBC_PAD`
`static String` | `NAME_CKM_AES_ECB`
`static String` | `NAME_CKM_AES_ECB_ENCRYPT_DATA`
`static String` | `NAME_CKM_AES_KEY_GEN`
`static String` | `NAME_CKM_AES_MAC`
`static String` | `NAME_CKM_AES_MAC_GENERAL`
`static String` | `NAME_CKM_BATON_CBC128`
`static String` | `NAME_CKM_BATON_COUNTER`
`static String` | `NAME_CKM_BATON_ECB128`
`static String` | `NAME_CKM_BATON_ECB96`
`static String` | `NAME_CKM_BATON_KEY_GEN`
`static String` | `NAME_CKM_BATON_SHUFFLE`
`static String` | `NAME_CKM_BATON_WRAP`
`static String` | `NAME_CKM_BLOWFISH_CBC`
`static String` | `NAME_CKM_BLOWFISH_KEY_GEN`
`static String` | `NAME_CKM_CAST_CBC`
`static String` | `NAME_CKM_CAST_CBC_PAD`
`static String` | `NAME_CKM_CAST_ECB`
`static String` | `NAME_CKM_CAST_KEY_GEN`
`static String` | `NAME_CKM_CAST_MAC`
`static String` | `NAME_CKM_CAST_MAC_GENERAL`
`static String` | `NAME_CKM_CAST128_CBC`
`static String` | `NAME_CKM_CAST128_CBC_PAD`
`static String` | `NAME_CKM_CAST128_ECB`
`static String` | `NAME_CKM_CAST128_KEY_GEN`
`static String` | `NAME_CKM_CAST128_MAC`
`static String` | `NAME_CKM_CAST128_MAC_GENERAL`
`static String` | `NAME_CKM_CAST3_CBC`
`static String` | `NAME_CKM_CAST3_CBC_PAD`
`static String` | `NAME_CKM_CAST3_ECB`
`static String` | `NAME_CKM_CAST3_KEY_GEN`
`static String` | `NAME_CKM_CAST3_MAC`
`static String` | `NAME_CKM_CAST3_MAC_GENERAL`
`static String` | `NAME_CKM_CAST5_CBC`
`static String` | `NAME_CKM_CAST5_CBC_PAD`
`static String` | `NAME_CKM_CAST5_ECB`
`static String` | `NAME_CKM_CAST5_KEY_GEN`
`static String` | `NAME_CKM_CAST5_MAC`
`static String` | `NAME_CKM_CAST5_MAC_GENERAL`
`static String` | `NAME_CKM_CDMF_CBC`
`static String` | `NAME_CKM_CDMF_CBC_PAD`
`static String` | `NAME_CKM_CDMF_ECB`
`static String` | `NAME_CKM_CDMF_KEY_GEN`
`static String` | `NAME_CKM_CDMF_MAC`
`static String` | `NAME_CKM_CDMF_MAC_GENERAL`
`static String` | `NAME_CKM_CMS_SIG`
`static String` | `NAME_CKM_CONCATENATE_BASE_AND_DATA`
`static String` | `NAME_CKM_CONCATENATE_BASE_AND_KEY`
`static String` | `NAME_CKM_CONCATENATE_DATA_AND_BASE`
`static String` | `NAME_CKM_DES_CBC`
`static String` | `NAME_CKM_DES_CBC_ENCRYPT_DATA`
`static String` | `NAME_CKM_DES_CBC_PAD`
`static String` | `NAME_CKM_DES_CFB64`
`static String` | `NAME_CKM_DES_CFB8`
`static String` | `NAME_CKM_DES_ECB`
`static String` | `NAME_CKM_DES_ECB_ENCRYPT_DATA`
`static String` | `NAME_CKM_DES_KEY_GEN`
`static String` | `NAME_CKM_DES_MAC`
`static String` | `NAME_CKM_DES_MAC_GENERAL`
`static String` | `NAME_CKM_DES_OFB64`
`static String` | `NAME_CKM_DES_OFB8`
`static String` | `NAME_CKM_DES2_KEY_GEN`
`static String` | `NAME_CKM_DES3_CBC`
`static String` | `NAME_CKM_DES3_CBC_ENCRYPT_DATA`
`static String` | `NAME_CKM_DES3_CBC_PAD`
`static String` | `NAME_CKM_DES3_ECB`
`static String` | `NAME_CKM_DES3_ECB_ENCRYPT_DATA`
`static String` | `NAME_CKM_DES3_KEY_GEN`
`static String` | `NAME_CKM_DES3_MAC`
`static String` | `NAME_CKM_DES3_MAC_GENERAL`
`static String` | `NAME_CKM_DH_PKCS_DERIVE`
`static String` | `NAME_CKM_DH_PKCS_KEY_PAIR_GEN`
`static String` | `NAME_CKM_DH_PKCS_PARAMETER_GEN`
`static String` | `NAME_CKM_DSA`
`static String` | `NAME_CKM_DSA_KEY_PAIR_GEN`
`static String` | `NAME_CKM_DSA_PARAMETER_GEN`
`static String` | `NAME_CKM_DSA_SHA1`
`static String` | `NAME_CKM_EC_KEY_PAIR_GEN`
`static String` | `NAME_CKM_ECDH1_COFACTOR_DERIVE`
`static String` | `NAME_CKM_ECDH1_DERIVE`
`static String` | `NAME_CKM_ECDSA`
`static String` | `NAME_CKM_ECDSA_KEY_PAIR_GEN`
`static String` | `NAME_CKM_ECDSA_SHA1`
`static String` | `NAME_CKM_ECMQV_DERIVE`
`static String` | `NAME_CKM_EXTRACT_KEY_FROM_KEY`
`static String` | `NAME_CKM_FASTHASH`
`static String` | `NAME_CKM_FORTEZZA_TIMESTAMP`
`static String` | `NAME_CKM_GENERIC_SECRET_KEY_GEN`
`static String` | `NAME_CKM_IDEA_CBC`
`static String` | `NAME_CKM_IDEA_CBC_PAD`
`static String` | `NAME_CKM_IDEA_ECB`
`static String` | `NAME_CKM_IDEA_KEY_GEN`
`static String` | `NAME_CKM_IDEA_MAC`
`static String` | `NAME_CKM_IDEA_MAC_GENERAL`
`static String` | `NAME_CKM_JUNIPER_CBC128`
`static String` | `NAME_CKM_JUNIPER_COUNTER`
`static String` | `NAME_CKM_JUNIPER_ECB128`
`static String` | `NAME_CKM_JUNIPER_KEY_GEN`
`static String` | `NAME_CKM_JUNIPER_SHUFFLE`
`static String` | `NAME_CKM_JUNIPER_WRAP`
`static String` | `NAME_CKM_KEA_KEY_DERIVE`
`static String` | `NAME_CKM_KEA_KEY_PAIR_GEN`
`static String` | `NAME_CKM_KEY_WRAP_LYNKS`
`static String` | `NAME_CKM_KEY_WRAP_SET_OAEP`
`static String` | `NAME_CKM_MD2`
`static String` | `NAME_CKM_MD2_HMAC`
`static String` | `NAME_CKM_MD2_HMAC_GENERAL`
`static String` | `NAME_CKM_MD2_KEY_DERIVATION`
`static String` | `NAME_CKM_MD2_RSA_PKCS`
`static String` | `NAME_CKM_MD5`
`static String` | `NAME_CKM_MD5_HMAC`
`static String` | `NAME_CKM_MD5_HMAC_GENERAL`
`static String` | `NAME_CKM_MD5_KEY_DERIVATION`
`static String` | `NAME_CKM_MD5_RSA_PKCS`
`static String` | `NAME_CKM_PBA_SHA1_WITH_SHA1_HMAC`
`static String` | `NAME_CKM_PBE_MD2_DES_CBC`
`static String` | `NAME_CKM_PBE_MD5_CAST_CBC`
`static String` | `NAME_CKM_PBE_MD5_CAST128_CBC`
`static String` | `NAME_CKM_PBE_MD5_CAST3_CBC`
`static String` | `NAME_CKM_PBE_MD5_CAST5_CBC`
`static String` | `NAME_CKM_PBE_MD5_DES_CBC`
`static String` | `NAME_CKM_PBE_SHA1_CAST128_CBC`
`static String` | `NAME_CKM_PBE_SHA1_CAST5_CBC`
`static String` | `NAME_CKM_PBE_SHA1_DES2_EDE_CBC`
`static String` | `NAME_CKM_PBE_SHA1_DES3_EDE_CBC`
`static String` | `NAME_CKM_PBE_SHA1_RC2_128_CBC`
`static String` | `NAME_CKM_PBE_SHA1_RC2_40_CBC`
`static String` | `NAME_CKM_PBE_SHA1_RC4_128`
`static String` | `NAME_CKM_PBE_SHA1_RC4_40`
`static String` | `NAME_CKM_PKCS5_PBKD2`
`static String` | `NAME_CKM_RC2_CBC`
`static String` | `NAME_CKM_RC2_CBC_PAD`
`static String` | `NAME_CKM_RC2_ECB`
`static String` | `NAME_CKM_RC2_KEY_GEN`
`static String` | `NAME_CKM_RC2_MAC`
`static String` | `NAME_CKM_RC2_MAC_GENERAL`
`static String` | `NAME_CKM_RC4`
`static String` | `NAME_CKM_RC4_KEY_GEN`
`static String` | `NAME_CKM_RC5_CBC`
`static String` | `NAME_CKM_RC5_CBC_PAD`
`static String` | `NAME_CKM_RC5_ECB`
`static String` | `NAME_CKM_RC5_KEY_GEN`
`static String` | `NAME_CKM_RC5_MAC`
`static String` | `NAME_CKM_RC5_MAC_GENERAL`
`static String` | `NAME_CKM_RIPEMD128`
`static String` | `NAME_CKM_RIPEMD128_HMAC`
`static String` | `NAME_CKM_RIPEMD128_HMAC_GENERAL`
`static String` | `NAME_CKM_RIPEMD128_RSA_PKCS`
`static String` | `NAME_CKM_RIPEMD160`
`static String` | `NAME_CKM_RIPEMD160_HMAC`
`static String` | `NAME_CKM_RIPEMD160_HMAC_GENERAL`
`static String` | `NAME_CKM_RIPEMD160_RSA_PKCS`
`static String` | `NAME_CKM_RSA_9796`
`static String` | `NAME_CKM_RSA_PKCS`
`static String` | `NAME_CKM_RSA_PKCS_KEY_PAIR_GEN`
`static String` | `NAME_CKM_RSA_PKCS_OAEP`
`static String` | `NAME_CKM_RSA_PKCS_PSS`
`static String` | `NAME_CKM_RSA_X_509`
`static String` | `NAME_CKM_RSA_X9_31`
`static String` | `NAME_CKM_RSA_X9_31_KEY_PAIR_GEN`
`static String` | `NAME_CKM_SHA_1`
`static String` | `NAME_CKM_SHA_1_HMAC`
`static String` | `NAME_CKM_SHA_1_HMAC_GENERAL`
`static String` | `NAME_CKM_SHA1_KEY_DERIVATION`
`static String` | `NAME_CKM_SHA1_RSA_PKCS`
`static String` | `NAME_CKM_SHA1_RSA_PKCS_PSS`
`static String` | `NAME_CKM_SHA1_RSA_X9_31`
`static String` | `NAME_CKM_SHA256`
`static String` | `NAME_CKM_SHA256_HMAC`
`static String` | `NAME_CKM_SHA256_HMAC_GENERAL`
`static String` | `NAME_CKM_SHA256_KEY_DERIVATION`
`static String` | `NAME_CKM_SHA256_RSA_PKCS`
`static String` | `NAME_CKM_SHA256_RSA_PKCS_PSS`
`static String` | `NAME_CKM_SHA384`
`static String` | `NAME_CKM_SHA384_HMAC`
`static String` | `NAME_CKM_SHA384_HMAC_GENERAL`
`static String` | `NAME_CKM_SHA384_KEY_DERIVATION`
`static String` | `NAME_CKM_SHA384_RSA_PKCS`
`static String` | `NAME_CKM_SHA384_RSA_PKCS_PSS`
`static String` | `NAME_CKM_SHA512`
`static String` | `NAME_CKM_SHA512_HMAC`
`static String` | `NAME_CKM_SHA512_HMAC_GENERAL`
`static String` | `NAME_CKM_SHA512_KEY_DERIVATION`
`static String` | `NAME_CKM_SHA512_RSA_PKCS`
`static String` | `NAME_CKM_SHA512_RSA_PKCS_PSS`
`static String` | `NAME_CKM_SKIPJACK_CBC64`
`static String` | `NAME_CKM_SKIPJACK_CFB16`
`static String` | `NAME_CKM_SKIPJACK_CFB32`
`static String` | `NAME_CKM_SKIPJACK_CFB64`
`static String` | `NAME_CKM_SKIPJACK_CFB8`
`static String` | `NAME_CKM_SKIPJACK_ECB64`
`static String` | `NAME_CKM_SKIPJACK_KEY_GEN`
`static String` | `NAME_CKM_SKIPJACK_OFB64`
`static String` | `NAME_CKM_SKIPJACK_PRIVATE_WRAP`
`static String` | `NAME_CKM_SKIPJACK_RELAYX`
`static String` | `NAME_CKM_SKIPJACK_WRAP`
`static String` | `NAME_CKM_SSL3_KEY_AND_MAC_DERIVE`
`static String` | `NAME_CKM_SSL3_MASTER_KEY_DERIVE`
`static String` | `NAME_CKM_SSL3_MASTER_KEY_DERIVE_DH`
`static String` | `NAME_CKM_SSL3_MD5_MAC`
`static String` | `NAME_CKM_SSL3_PRE_MASTER_KEY_GEN`
`static String` | `NAME_CKM_SSL3_SHA1_MAC`
`static String` | `NAME_CKM_TLS_KEY_AND_MAC_DERIVE`
`static String` | `NAME_CKM_TLS_MASTER_KEY_DERIVE`
`static String` | `NAME_CKM_TLS_MASTER_KEY_DERIVE_DH`
`static String` | `NAME_CKM_TLS_PRE_MASTER_KEY_GEN`
`static String` | `NAME_CKM_TLS_PRF`
`static String` | `NAME_CKM_TWOFISH_CBC`
`static String` | `NAME_CKM_TWOFISH_KEY_GEN`
`static String` | `NAME_CKM_VENDOR_DEFINED`
`static String` | `NAME_CKM_WTLS_CLIENT_KEY_AND_MAC_DERIVE`
`static String` | `NAME_CKM_WTLS_MASTER_KEY_DERIVE`
`static String` | `NAME_CKM_WTLS_MASTER_KEY_DERIVE_DH_ECC`
`static String` | `NAME_CKM_WTLS_PRE_MASTER_KEY_GEN`
`static String` | `NAME_CKM_WTLS_PRF`
`static String` | `NAME_CKM_WTLS_SERVER_KEY_AND_MAC_DERIVE`
`static String` | `NAME_CKM_X9_42_DH_DERIVE`
`static String` | `NAME_CKM_X9_42_DH_HYBRID_DERIVE`
`static String` | `NAME_CKM_X9_42_DH_KEY_PAIR_GEN`
`static String` | `NAME_CKM_X9_42_DH_PARAMETER_GEN`
`static String` | `NAME_CKM_X9_42_MQV_DERIVE`
`static String` | `NAME_CKM_XOR_BASE_AND_DATA`
`static Object` | `NULL_PTR`
`static boolean` | `TRUE`

Field Detail

### TRUE

    public static final boolean TRUE

See Also:
  Constant Field Values

### FALSE

    public static final boolean FALSE

See Also:
  Constant Field Values

### NULL_PTR

    public static final Object NULL_PTR

### CK_UNAVAILABLE_INFORMATION

    public static final long CK_UNAVAILABLE_INFORMATION

See Also:
  Constant Field Values

### CK_EFFECTIVELY_INFINITE

    public static final long CK_EFFECTIVELY_INFINITE

See Also:
  Constant Field Values

### CK_INVALID_HANDLE

    public static final long CK_INVALID_HANDLE

See Also:
  Constant Field Values

### CKN_SURRENDER

    public static final long CKN_SURRENDER

See Also:
  Constant Field Values

### CKF_TOKEN_PRESENT

    public static final long CKF_TOKEN_PRESENT

See Also:
  Constant Field Values

### CKF_REMOVABLE_DEVICE

    public static final long CKF_REMOVABLE_DEVICE

See Also:
  Constant Field Values

### CKF_HW_SLOT

    public static final long CKF_HW_SLOT

See Also:
  Constant Field Values

### CKF_RNG

    public static final long CKF_RNG

See Also:
  Constant Field Values

### CKF_WRITE_PROTECTED

    public static final long CKF_WRITE_PROTECTED

See Also:
  Constant Field Values

### CKF_LOGIN_REQUIRED

    public static final long CKF_LOGIN_REQUIRED

See Also:
  Constant Field Values

### CKF_USER_PIN_INITIALIZED

    public static final long CKF_USER_PIN_INITIALIZED

See Also:
  Constant Field Values

### CKF_RESTORE_KEY_NOT_NEEDED

    public static final long CKF_RESTORE_KEY_NOT_NEEDED

See Also:
  Constant Field Values

### CKF_CLOCK_ON_TOKEN

    public static final long CKF_CLOCK_ON_TOKEN

See Also:
  Constant Field Values

### CKF_PROTECTED_AUTHENTICATION_PATH

    public static final long CKF_PROTECTED_AUTHENTICATION_PATH

See Also:
  Constant Field Values

### CKF_DUAL_CRYPTO_OPERATIONS

    public static final long CKF_DUAL_CRYPTO_OPERATIONS

See Also:
  Constant Field Values

### CKF_TOKEN_INITIALIZED

    public static final long CKF_TOKEN_INITIALIZED

See Also:
  Constant Field Values

### CKF_SECONDARY_AUTHENTICATION

    public static final long CKF_SECONDARY_AUTHENTICATION

See Also:
  Constant Field Values

### CKF_USER_PIN_COUNT_LOW

    public static final long CKF_USER_PIN_COUNT_LOW

See Also:
  Constant Field Values

### CKF_USER_PIN_FINAL_TRY

    public static final long CKF_USER_PIN_FINAL_TRY

See Also:
  Constant Field Values

### CKF_USER_PIN_LOCKED

    public static final long CKF_USER_PIN_LOCKED

See Also:
  Constant Field Values

### CKF_USER_PIN_TO_BE_CHANGED

    public static final long CKF_USER_PIN_TO_BE_CHANGED

See Also:
  Constant Field Values

### CKF_SO_PIN_COUNT_LOW

    public static final long CKF_SO_PIN_COUNT_LOW

See Also:
  Constant Field Values

### CKF_SO_PIN_FINAL_TRY

    public static final long CKF_SO_PIN_FINAL_TRY

See Also:
  Constant Field Values

### CKF_SO_PIN_LOCKED

    public static final long CKF_SO_PIN_LOCKED

See Also:
  Constant Field Values

### CKF_SO_PIN_TO_BE_CHANGED

    public static final long CKF_SO_PIN_TO_BE_CHANGED

See Also:
  Constant Field Values

### CKU_SO

    public static final long CKU_SO

See Also:
  Constant Field Values

### CKU_USER

    public static final long CKU_USER

See Also:
  Constant Field Values

### CKU_CONTEXT_SPECIFIC

    public static final long CKU_CONTEXT_SPECIFIC

See Also:
  Constant Field Values

### CKS_RO_PUBLIC_SESSION

    public static final long CKS_RO_PUBLIC_SESSION

See Also:
  Constant Field Values

### CKS_RO_USER_FUNCTIONS

    public static final long CKS_RO_USER_FUNCTIONS

See Also:
  Constant Field Values

### CKS_RW_PUBLIC_SESSION

    public static final long CKS_RW_PUBLIC_SESSION

See Also:
  Constant Field Values

### CKS_RW_USER_FUNCTIONS

    public static final long CKS_RW_USER_FUNCTIONS

See Also:
  Constant Field Values

### CKS_RW_SO_FUNCTIONS

    public static final long CKS_RW_SO_FUNCTIONS

See Also:
  Constant Field Values

### CKF_RW_SESSION

    public static final long CKF_RW_SESSION

See Also:
  Constant Field Values

### CKF_SERIAL_SESSION

    public static final long CKF_SERIAL_SESSION

See Also:
  Constant Field Values

### CKO_DATA

    public static final long CKO_DATA

See Also:
  Constant Field Values

### CKO_CERTIFICATE

    public static final long CKO_CERTIFICATE

See Also:
  Constant Field Values

### CKO_PUBLIC_KEY

    public static final long CKO_PUBLIC_KEY

See Also:
  Constant Field Values

### CKO_PRIVATE_KEY

    public static final long CKO_PRIVATE_KEY

See Also:
  Constant Field Values

### CKO_SECRET_KEY

    public static final long CKO_SECRET_KEY

See Also:
  Constant Field Values

### CKO_HW_FEATURE

    public static final long CKO_HW_FEATURE

See Also:
  Constant Field Values

### CKO_DOMAIN_PARAMETERS

    public static final long CKO_DOMAIN_PARAMETERS

See Also:
  Constant Field Values

### CKO_MECHANISM

    public static final long CKO_MECHANISM

See Also:
  Constant Field Values

### CKO_VENDOR_DEFINED

    public static final long CKO_VENDOR_DEFINED

See Also:
  Constant Field Values

### CKH_MONOTONIC_COUNTER

    public static final long CKH_MONOTONIC_COUNTER

See Also:
  Constant Field Values

### CKH_CLOCK

    public static final long CKH_CLOCK

See Also:
  Constant Field Values

### CKH_USER_INTERFACE

    public static final long CKH_USER_INTERFACE

See Also:
  Constant Field Values

### CKH_VENDOR_DEFINED

    public static final long CKH_VENDOR_DEFINED

See Also:
  Constant Field Values

### CKK_RSA

    public static final long CKK_RSA

See Also:
  Constant Field Values

### CKK_DSA

    public static final long CKK_DSA

See Also:
  Constant Field Values

### CKK_DH

    public static final long CKK_DH

See Also:
  Constant Field Values

### CKK_ECDSA

    public static final long CKK_ECDSA

See Also:
  Constant Field Values

### CKK_EC

    public static final long CKK_EC

See Also:
  Constant Field Values

### CKK_X9_42_DH

    public static final long CKK_X9_42_DH

See Also:
  Constant Field Values

### CKK_KEA

    public static final long CKK_KEA

See Also:
  Constant Field Values

### CKK_GENERIC_SECRET

    public static final long CKK_GENERIC_SECRET

See Also:
  Constant Field Values

### CKK_RC2

    public static final long CKK_RC2

See Also:
  Constant Field Values

### CKK_RC4

    public static final long CKK_RC4

See Also:
  Constant Field Values

### CKK_DES

    public static final long CKK_DES

See Also:
  Constant Field Values

### CKK_DES2

    public static final long CKK_DES2

See Also:
  Constant Field Values

### CKK_DES3

    public static final long CKK_DES3

See Also:
  Constant Field Values

### CKK_CAST

    public static final long CKK_CAST

See Also:
  Constant Field Values

### CKK_CAST3

    public static final long CKK_CAST3

See Also:
  Constant Field Values

### CKK_CAST5

    public static final long CKK_CAST5

See Also:
  Constant Field Values

### CKK_CAST128

    public static final long CKK_CAST128

See Also:
  Constant Field Values

### CKK_RC5

    public static final long CKK_RC5

See Also:
  Constant Field Values

### CKK_IDEA

    public static final long CKK_IDEA

See Also:
  Constant Field Values

### CKK_SKIPJACK

    public static final long CKK_SKIPJACK

See Also:
  Constant Field Values

### CKK_BATON

    public static final long CKK_BATON

See Also:
  Constant Field Values

### CKK_JUNIPER

    public static final long CKK_JUNIPER

See Also:
  Constant Field Values

### CKK_CDMF

    public static final long CKK_CDMF

See Also:
  Constant Field Values

### CKK_AES

    public static final long CKK_AES

See Also:
  Constant Field Values

### CKK_BLOWFISH

    public static final long CKK_BLOWFISH

See Also:
  Constant Field Values

### CKK_TWOFISH

    public static final long CKK_TWOFISH

See Also:
  Constant Field Values

### CKK_VENDOR_DEFINED

    public static final long CKK_VENDOR_DEFINED

See Also:
  Constant Field Values

### CKC_X_509

    public static final long CKC_X_509

See Also:
  Constant Field Values

### CKC_X_509_ATTR_CERT

    public static final long CKC_X_509_ATTR_CERT

See Also:
  Constant Field Values

### CKC_WTLS

    public static final long CKC_WTLS

See Also:
  Constant Field Values

### CKC_VENDOR_DEFINED

    public static final long CKC_VENDOR_DEFINED

See Also:
  Constant Field Values

### CKF_ARRAY_ATTRIBUTE

    public static final long CKF_ARRAY_ATTRIBUTE

See Also:
  Constant Field Values

### CKA_CLASS

    public static final long CKA_CLASS

See Also:
  Constant Field Values

### CKA_TOKEN

    public static final long CKA_TOKEN

See Also:
  Constant Field Values

### CKA_PRIVATE

    public static final long CKA_PRIVATE

See Also:
  Constant Field Values

### CKA_LABEL

    public static final long CKA_LABEL

See Also:
  Constant Field Values

### CKA_APPLICATION

    public static final long CKA_APPLICATION

See Also:
  Constant Field Values

### CKA_VALUE

    public static final long CKA_VALUE

See Also:
  Constant Field Values

### CKA_OBJECT_ID

    public static final long CKA_OBJECT_ID

See Also:
  Constant Field Values

### CKA_CERTIFICATE_TYPE

    public static final long CKA_CERTIFICATE_TYPE

See Also:
  Constant Field Values

### CKA_ISSUER

    public static final long CKA_ISSUER

See Also:
  Constant Field Values

### CKA_SERIAL_NUMBER

    public static final long CKA_SERIAL_NUMBER

See Also:
  Constant Field Values

### CKA_AC_ISSUER

    public static final long CKA_AC_ISSUER

See Also:
  Constant Field Values

### CKA_OWNER

    public static final long CKA_OWNER

See Also:
  Constant Field Values

### CKA_ATTR_TYPES

    public static final long CKA_ATTR_TYPES

See Also:
  Constant Field Values

### CKA_TRUSTED

    public static final long CKA_TRUSTED

See Also:
  Constant Field Values

### CKA_CERTIFICATE_CATEGORY

    public static final long CKA_CERTIFICATE_CATEGORY

See Also:
  Constant Field Values

### CKA_JAVA_MIDP_SECURITY_DOMAIN

    public static final long CKA_JAVA_MIDP_SECURITY_DOMAIN

See Also:
  Constant Field Values

### CKA_URL

    public static final long CKA_URL

See Also:
  Constant Field Values

### CKA_HASH_OF_SUBJECT_PUBLIC_KEY

    public static final long CKA_HASH_OF_SUBJECT_PUBLIC_KEY

See Also:
  Constant Field Values

### CKA_HASH_OF_ISSUER_PUBLIC_KEY

    public static final long CKA_HASH_OF_ISSUER_PUBLIC_KEY

See Also:
  Constant Field Values

### CKA_CHECK_VALUE

    public static final long CKA_CHECK_VALUE

See Also:
  Constant Field Values

### CKA_KEY_TYPE

    public static final long CKA_KEY_TYPE

See Also:
  Constant Field Values

### CKA_SUBJECT

    public static final long CKA_SUBJECT

See Also:
  Constant Field Values

### CKA_ID

    public static final long CKA_ID

See Also:
  Constant Field Values

### CKA_SENSITIVE

    public static final long CKA_SENSITIVE

See Also:
  Constant Field Values

### CKA_ENCRYPT

    public static final long CKA_ENCRYPT

See Also:
  Constant Field Values

### CKA_DECRYPT

    public static final long CKA_DECRYPT

See Also:
  Constant Field Values

### CKA_WRAP

    public static final long CKA_WRAP

See Also:
  Constant Field Values

### CKA_UNWRAP

    public static final long CKA_UNWRAP

See Also:
  Constant Field Values

### CKA_SIGN

    public static final long CKA_SIGN

See Also:
  Constant Field Values

### CKA_SIGN_RECOVER

    public static final long CKA_SIGN_RECOVER

See Also:
  Constant Field Values

### CKA_VERIFY

    public static final long CKA_VERIFY

See Also:
  Constant Field Values

### CKA_VERIFY_RECOVER

    public static final long CKA_VERIFY_RECOVER

See Also:
  Constant Field Values

### CKA_DERIVE

    public static final long CKA_DERIVE

See Also:
  Constant Field Values

### CKA_START_DATE

    public static final long CKA_START_DATE

See Also:
  Constant Field Values

### CKA_END_DATE

    public static final long CKA_END_DATE

See Also:
  Constant Field Values

### CKA_MODULUS

    public static final long CKA_MODULUS

See Also:
  Constant Field Values

### CKA_MODULUS_BITS

    public static final long CKA_MODULUS_BITS

See Also:
  Constant Field Values

### CKA_PUBLIC_EXPONENT

    public static final long CKA_PUBLIC_EXPONENT

See Also:
  Constant Field Values

### CKA_PRIVATE_EXPONENT

    public static final long CKA_PRIVATE_EXPONENT

See Also:
  Constant Field Values

### CKA_PRIME_1

    public static final long CKA_PRIME_1

See Also:
  Constant Field Values

### CKA_PRIME_2

    public static final long CKA_PRIME_2

See Also:
  Constant Field Values

### CKA_EXPONENT_1

    public static final long CKA_EXPONENT_1

See Also:
  Constant Field Values

### CKA_EXPONENT_2

    public static final long CKA_EXPONENT_2

See Also:
  Constant Field Values

### CKA_COEFFICIENT

    public static final long CKA_COEFFICIENT

See Also:
  Constant Field Values

### CKA_PRIME

    public static final long CKA_PRIME

See Also:
  Constant Field Values

### CKA_SUBPRIME

    public static final long CKA_SUBPRIME

See Also:
  Constant Field Values

### CKA_BASE

    public static final long CKA_BASE

See Also:
  Constant Field Values

### CKA_PRIME_BITS

    public static final long CKA_PRIME_BITS

See Also:
  Constant Field Values

### CKA_SUB_PRIME_BITS

    public static final long CKA_SUB_PRIME_BITS

See Also:
  Constant Field Values

### CKA_VALUE_BITS

    public static final long CKA_VALUE_BITS

See Also:
  Constant Field Values

### CKA_VALUE_LEN

    public static final long CKA_VALUE_LEN

See Also:
  Constant Field Values

### CKA_EXTRACTABLE

    public static final long CKA_EXTRACTABLE

See Also:
  Constant Field Values

### CKA_LOCAL

    public static final long CKA_LOCAL

See Also:
  Constant Field Values

### CKA_NEVER_EXTRACTABLE

    public static final long CKA_NEVER_EXTRACTABLE

See Also:
  Constant Field Values

### CKA_ALWAYS_SENSITIVE

    public static final long CKA_ALWAYS_SENSITIVE

See Also:
  Constant Field Values

### CKA_KEY_GEN_MECHANISM

    public static final long CKA_KEY_GEN_MECHANISM

See Also:
  Constant Field Values

### CKA_MODIFIABLE

    public static final long CKA_MODIFIABLE

See Also:
  Constant Field Values

### CKA_ECDSA_PARAMS

    public static final long CKA_ECDSA_PARAMS

See Also:
  Constant Field Values

### CKA_EC_PARAMS

    public static final long CKA_EC_PARAMS

See Also:
  Constant Field Values

### CKA_EC_POINT

    public static final long CKA_EC_POINT

See Also:
  Constant Field Values

### CKA_SECONDARY_AUTH

    public static final long CKA_SECONDARY_AUTH

See Also:
  Constant Field Values

### CKA_AUTH_PIN_FLAGS

    public static final long CKA_AUTH_PIN_FLAGS

See Also:
  Constant Field Values

### CKA_ALWAYS_AUTHENTICATE

    public static final long CKA_ALWAYS_AUTHENTICATE

See Also:
  Constant Field Values

### CKA_WRAP_WITH_TRUSTED

    public static final long CKA_WRAP_WITH_TRUSTED

See Also:
  Constant Field Values

### CKA_WRAP_TEMPLATE

    public static final long CKA_WRAP_TEMPLATE

See Also:
  Constant Field Values

### CKA_UNWRAP_TEMPLATE

    public static final long CKA_UNWRAP_TEMPLATE

See Also:
  Constant Field Values

### CKA_HW_FEATURE_TYPE

    public static final long CKA_HW_FEATURE_TYPE

See Also:
  Constant Field Values

### CKA_RESET_ON_INIT

    public static final long CKA_RESET_ON_INIT

See Also:
  Constant Field Values

### CKA_HAS_RESET

    public static final long CKA_HAS_RESET

See Also:
  Constant Field Values

### CKA_PIXEL_X

    public static final long CKA_PIXEL_X

See Also:
  Constant Field Values

### CKA_PIXEL_Y

    public static final long CKA_PIXEL_Y

See Also:
  Constant Field Values

### CKA_RESOLUTION

    public static final long CKA_RESOLUTION

See Also:
  Constant Field Values

### CKA_CHAR_ROWS

    public static final long CKA_CHAR_ROWS

See Also:
  Constant Field Values

### CKA_CHAR_COLUMNS

    public static final long CKA_CHAR_COLUMNS

See Also:
  Constant Field Values

### CKA_COLOR

    public static final long CKA_COLOR

See Also:
  Constant Field Values

### CKA_BITS_PER_PIXEL

    public static final long CKA_BITS_PER_PIXEL

See Also:
  Constant Field Values

### CKA_CHAR_SETS

    public static final long CKA_CHAR_SETS

See Also:
  Constant Field Values

### CKA_ENCODING_METHODS

    public static final long CKA_ENCODING_METHODS

See Also:
  Constant Field Values

### CKA_MIME_TYPES

    public static final long CKA_MIME_TYPES

See Also:
  Constant Field Values

### CKA_MECHANISM_TYPE

    public static final long CKA_MECHANISM_TYPE

See Also:
  Constant Field Values

### CKA_REQUIRED_CMS_ATTRIBUTES

    public static final long CKA_REQUIRED_CMS_ATTRIBUTES

See Also:
  Constant Field Values

### CKA_DEFAULT_CMS_ATTRIBUTES

    public static final long CKA_DEFAULT_CMS_ATTRIBUTES

See Also:
  Constant Field Values

### CKA_SUPPORTED_CMS_ATTRIBUTES

    public static final long CKA_SUPPORTED_CMS_ATTRIBUTES

See Also:
  Constant Field Values

### CKA_ALLOWED_MECHANISMS

    public static final long CKA_ALLOWED_MECHANISMS

See Also:
  Constant Field Values

### CKA_VENDOR_DEFINED

    public static final long CKA_VENDOR_DEFINED

See Also:
  Constant Field Values

### CKM_RSA_PKCS_KEY_PAIR_GEN

    public static final long CKM_RSA_PKCS_KEY_PAIR_GEN

See Also:
  Constant Field Values

### CKM_RSA_PKCS

    public static final long CKM_RSA_PKCS

See Also:
  Constant Field Values

### CKM_RSA_9796

    public static final long CKM_RSA_9796

See Also:
  Constant Field Values

### CKM_RSA_X_509

    public static final long CKM_RSA_X_509

See Also:
  Constant Field Values

### CKM_MD2_RSA_PKCS

    public static final long CKM_MD2_RSA_PKCS

See Also:
  Constant Field Values

### CKM_MD5_RSA_PKCS

    public static final long CKM_MD5_RSA_PKCS

See Also:
  Constant Field Values

### CKM_SHA1_RSA_PKCS

    public static final long CKM_SHA1_RSA_PKCS

See Also:
  Constant Field Values

### CKM_RIPEMD128_RSA_PKCS

    public static final long CKM_RIPEMD128_RSA_PKCS

See Also:
  Constant Field Values

### CKM_RIPEMD160_RSA_PKCS

    public static final long CKM_RIPEMD160_RSA_PKCS

See Also:
  Constant Field Values

### CKM_RSA_PKCS_OAEP

    public static final long CKM_RSA_PKCS_OAEP

See Also:
  Constant Field Values

### CKM_RSA_X9_31_KEY_PAIR_GEN

    public static final long CKM_RSA_X9_31_KEY_PAIR_GEN

See Also:
  Constant Field Values

### CKM_RSA_X9_31

    public static final long CKM_RSA_X9_31

See Also:
  Constant Field Values

### CKM_SHA1_RSA_X9_31

    public static final long CKM_SHA1_RSA_X9_31

See Also:
  Constant Field Values

### CKM_RSA_PKCS_PSS

    public static final long CKM_RSA_PKCS_PSS

See Also:
  Constant Field Values

### CKM_SHA1_RSA_PKCS_PSS

    public static final long CKM_SHA1_RSA_PKCS_PSS

See Also:
  Constant Field Values

### CKM_DSA_KEY_PAIR_GEN

    public static final long CKM_DSA_KEY_PAIR_GEN

See Also:
  Constant Field Values

### CKM_DSA

    public static final long CKM_DSA

See Also:
  Constant Field Values

### CKM_DSA_SHA1

    public static final long CKM_DSA_SHA1

See Also:
  Constant Field Values

### CKM_DH_PKCS_KEY_PAIR_GEN

    public static final long CKM_DH_PKCS_KEY_PAIR_GEN

See Also:
  Constant Field Values

### CKM_DH_PKCS_DERIVE

    public static final long CKM_DH_PKCS_DERIVE

See Also:
  Constant Field Values

### CKM_X9_42_DH_KEY_PAIR_GEN

    public static final long CKM_X9_42_DH_KEY_PAIR_GEN

See Also:
  Constant Field Values

### CKM_X9_42_DH_DERIVE

    public static final long CKM_X9_42_DH_DERIVE

See Also:
  Constant Field Values

### CKM_X9_42_DH_HYBRID_DERIVE

    public static final long CKM_X9_42_DH_HYBRID_DERIVE

See Also:
  Constant Field Values

### CKM_X9_42_MQV_DERIVE

    public static final long CKM_X9_42_MQV_DERIVE

See Also:
  Constant Field Values

### CKM_SHA256_RSA_PKCS

    public static final long CKM_SHA256_RSA_PKCS

See Also:
  Constant Field Values

### CKM_SHA384_RSA_PKCS

    public static final long CKM_SHA384_RSA_PKCS

See Also:
  Constant Field Values

### CKM_SHA512_RSA_PKCS

    public static final long CKM_SHA512_RSA_PKCS

See Also:
  Constant Field Values

### CKM_SHA256_RSA_PKCS_PSS

    public static final long CKM_SHA256_RSA_PKCS_PSS

See Also:
  Constant Field Values

### CKM_SHA384_RSA_PKCS_PSS

    public static final long CKM_SHA384_RSA_PKCS_PSS

See Also:
  Constant Field Values

### CKM_SHA512_RSA_PKCS_PSS

    public static final long CKM_SHA512_RSA_PKCS_PSS

See Also:
  Constant Field Values

### CKM_RC2_KEY_GEN

    public static final long CKM_RC2_KEY_GEN

See Also:
  Constant Field Values

### CKM_RC2_ECB

    public static final long CKM_RC2_ECB

See Also:
  Constant Field Values

### CKM_RC2_CBC

    public static final long CKM_RC2_CBC

See Also:
  Constant Field Values

### CKM_RC2_MAC

    public static final long CKM_RC2_MAC

See Also:
  Constant Field Values

### CKM_RC2_MAC_GENERAL

    public static final long CKM_RC2_MAC_GENERAL

See Also:
  Constant Field Values

### CKM_RC2_CBC_PAD

    public static final long CKM_RC2_CBC_PAD

See Also:
  Constant Field Values

### CKM_RC4_KEY_GEN

    public static final long CKM_RC4_KEY_GEN

See Also:
  Constant Field Values

### CKM_RC4

    public static final long CKM_RC4

See Also:
  Constant Field Values

### CKM_DES_KEY_GEN

    public static final long CKM_DES_KEY_GEN

See Also:
  Constant Field Values

### CKM_DES_ECB

    public static final long CKM_DES_ECB

See Also:
  Constant Field Values

### CKM_DES_CBC

    public static final long CKM_DES_CBC

See Also:
  Constant Field Values

### CKM_DES_MAC

    public static final long CKM_DES_MAC

See Also:
  Constant Field Values

### CKM_DES_MAC_GENERAL

    public static final long CKM_DES_MAC_GENERAL

See Also:
  Constant Field Values

### CKM_DES_CBC_PAD

    public static final long CKM_DES_CBC_PAD

See Also:
  Constant Field Values

### CKM_DES2_KEY_GEN

    public static final long CKM_DES2_KEY_GEN

See Also:
  Constant Field Values

### CKM_DES3_KEY_GEN

    public static final long CKM_DES3_KEY_GEN

See Also:
  Constant Field Values

### CKM_DES3_ECB

    public static final long CKM_DES3_ECB

See Also:
  Constant Field Values

### CKM_DES3_CBC

    public static final long CKM_DES3_CBC

See Also:
  Constant Field Values

### CKM_DES3_MAC

    public static final long CKM_DES3_MAC

See Also:
  Constant Field Values

### CKM_DES3_MAC_GENERAL

    public static final long CKM_DES3_MAC_GENERAL

See Also:
  Constant Field Values

### CKM_DES3_CBC_PAD

    public static final long CKM_DES3_CBC_PAD

See Also:
  Constant Field Values

### CKM_CDMF_KEY_GEN

    public static final long CKM_CDMF_KEY_GEN

See Also:
  Constant Field Values

### CKM_CDMF_ECB

    public static final long CKM_CDMF_ECB

See Also:
  Constant Field Values

### CKM_CDMF_CBC

    public static final long CKM_CDMF_CBC

See Also:
  Constant Field Values

### CKM_CDMF_MAC

    public static final long CKM_CDMF_MAC

See Also:
  Constant Field Values

### CKM_CDMF_MAC_GENERAL

    public static final long CKM_CDMF_MAC_GENERAL

See Also:
  Constant Field Values

### CKM_CDMF_CBC_PAD

    public static final long CKM_CDMF_CBC_PAD

See Also:
  Constant Field Values

### CKM_DES_OFB64

    public static final long CKM_DES_OFB64

See Also:
  Constant Field Values

### CKM_DES_OFB8

    public static final long CKM_DES_OFB8

See Also:
  Constant Field Values

### CKM_DES_CFB64

    public static final long CKM_DES_CFB64

See Also:
  Constant Field Values

### CKM_DES_CFB8

    public static final long CKM_DES_CFB8

See Also:
  Constant Field Values

### CKM_MD2

    public static final long CKM_MD2

See Also:
  Constant Field Values

### CKM_MD2_HMAC

    public static final long CKM_MD2_HMAC

See Also:
  Constant Field Values

### CKM_MD2_HMAC_GENERAL

    public static final long CKM_MD2_HMAC_GENERAL

See Also:
  Constant Field Values

### CKM_MD5

    public static final long CKM_MD5

See Also:
  Constant Field Values

### CKM_MD5_HMAC

    public static final long CKM_MD5_HMAC

See Also:
  Constant Field Values

### CKM_MD5_HMAC_GENERAL

    public static final long CKM_MD5_HMAC_GENERAL

See Also:
  Constant Field Values

### CKM_SHA_1

    public static final long CKM_SHA_1

See Also:
  Constant Field Values

### CKM_SHA_1_HMAC

    public static final long CKM_SHA_1_HMAC

See Also:
  Constant Field Values

### CKM_SHA_1_HMAC_GENERAL

    public static final long CKM_SHA_1_HMAC_GENERAL

See Also:
  Constant Field Values

### CKM_RIPEMD128

    public static final long CKM_RIPEMD128

See Also:
  Constant Field Values

### CKM_RIPEMD128_HMAC

    public static final long CKM_RIPEMD128_HMAC

See Also:
  Constant Field Values

### CKM_RIPEMD128_HMAC_GENERAL

    public static final long CKM_RIPEMD128_HMAC_GENERAL

See Also:
  Constant Field Values

### CKM_RIPEMD160

    public static final long CKM_RIPEMD160

See Also:
  Constant Field Values

### CKM_RIPEMD160_HMAC

    public static final long CKM_RIPEMD160_HMAC

See Also:
  Constant Field Values

### CKM_RIPEMD160_HMAC_GENERAL

    public static final long CKM_RIPEMD160_HMAC_GENERAL

See Also:
  Constant Field Values

### CKM_SHA256

    public static final long CKM_SHA256

See Also:
  Constant Field Values

### CKM_SHA256_HMAC

    public static final long CKM_SHA256_HMAC

See Also:
  Constant Field Values

### CKM_SHA256_HMAC_GENERAL

    public static final long CKM_SHA256_HMAC_GENERAL

See Also:
  Constant Field Values

### CKM_SHA384

    public static final long CKM_SHA384

See Also:
  Constant Field Values

### CKM_SHA384_HMAC

    public static final long CKM_SHA384_HMAC

See Also:
  Constant Field Values

### CKM_SHA384_HMAC_GENERAL

    public static final long CKM_SHA384_HMAC_GENERAL

See Also:
  Constant Field Values

### CKM_SHA512

    public static final long CKM_SHA512

See Also:
  Constant Field Values

### CKM_SHA512_HMAC

    public static final long CKM_SHA512_HMAC

See Also:
  Constant Field Values

### CKM_SHA512_HMAC_GENERAL

    public static final long CKM_SHA512_HMAC_GENERAL

See Also:
  Constant Field Values

### CKM_CAST_KEY_GEN

    public static final long CKM_CAST_KEY_GEN

See Also:
  Constant Field Values

### CKM_CAST_ECB

    public static final long CKM_CAST_ECB

See Also:
  Constant Field Values

### CKM_CAST_CBC

    public static final long CKM_CAST_CBC

See Also:
  Constant Field Values

### CKM_CAST_MAC

    public static final long CKM_CAST_MAC

See Also:
  Constant Field Values

### CKM_CAST_MAC_GENERAL

    public static final long CKM_CAST_MAC_GENERAL

See Also:
  Constant Field Values

### CKM_CAST_CBC_PAD

    public static final long CKM_CAST_CBC_PAD

See Also:
  Constant Field Values

### CKM_CAST3_KEY_GEN

    public static final long CKM_CAST3_KEY_GEN

See Also:
  Constant Field Values

### CKM_CAST3_ECB

    public static final long CKM_CAST3_ECB

See Also:
  Constant Field Values

### CKM_CAST3_CBC

    public static final long CKM_CAST3_CBC

See Also:
  Constant Field Values

### CKM_CAST3_MAC

    public static final long CKM_CAST3_MAC

See Also:
  Constant Field Values

### CKM_CAST3_MAC_GENERAL

    public static final long CKM_CAST3_MAC_GENERAL

See Also:
  Constant Field Values

### CKM_CAST3_CBC_PAD

    public static final long CKM_CAST3_CBC_PAD

See Also:
  Constant Field Values

### CKM_CAST5_KEY_GEN

    public static final long CKM_CAST5_KEY_GEN

See Also:
  Constant Field Values

### CKM_CAST128_KEY_GEN

    public static final long CKM_CAST128_KEY_GEN

See Also:
  Constant Field Values

### CKM_CAST5_ECB

    public static final long CKM_CAST5_ECB

See Also:
  Constant Field Values

### CKM_CAST128_ECB

    public static final long CKM_CAST128_ECB

See Also:
  Constant Field Values

### CKM_CAST5_CBC

    public static final long CKM_CAST5_CBC

See Also:
  Constant Field Values

### CKM_CAST128_CBC

    public static final long CKM_CAST128_CBC

See Also:
  Constant Field Values

### CKM_CAST5_MAC

    public static final long CKM_CAST5_MAC

See Also:
  Constant Field Values

### CKM_CAST128_MAC

    public static final long CKM_CAST128_MAC

See Also:
  Constant Field Values

### CKM_CAST5_MAC_GENERAL

    public static final long CKM_CAST5_MAC_GENERAL

See Also:
  Constant Field Values

### CKM_CAST128_MAC_GENERAL

    public static final long CKM_CAST128_MAC_GENERAL

See Also:
  Constant Field Values

### CKM_CAST5_CBC_PAD

    public static final long CKM_CAST5_CBC_PAD

See Also:
  Constant Field Values

### CKM_CAST128_CBC_PAD

    public static final long CKM_CAST128_CBC_PAD

See Also:
  Constant Field Values

### CKM_RC5_KEY_GEN

    public static final long CKM_RC5_KEY_GEN

See Also:
  Constant Field Values

### CKM_RC5_ECB

    public static final long CKM_RC5_ECB

See Also:
  Constant Field Values

### CKM_RC5_CBC

    public static final long CKM_RC5_CBC

See Also:
  Constant Field Values

### CKM_RC5_MAC

    public static final long CKM_RC5_MAC

See Also:
  Constant Field Values

### CKM_RC5_MAC_GENERAL

    public static final long CKM_RC5_MAC_GENERAL

See Also:
  Constant Field Values

### CKM_RC5_CBC_PAD

    public static final long CKM_RC5_CBC_PAD

See Also:
  Constant Field Values

### CKM_IDEA_KEY_GEN

    public static final long CKM_IDEA_KEY_GEN

See Also:
  Constant Field Values

### CKM_IDEA_ECB

    public static final long CKM_IDEA_ECB

See Also:
  Constant Field Values

### CKM_IDEA_CBC

    public static final long CKM_IDEA_CBC

See Also:
  Constant Field Values

### CKM_IDEA_MAC

    public static final long CKM_IDEA_MAC

See Also:
  Constant Field Values

### CKM_IDEA_MAC_GENERAL

    public static final long CKM_IDEA_MAC_GENERAL

See Also:
  Constant Field Values

### CKM_IDEA_CBC_PAD

    public static final long CKM_IDEA_CBC_PAD

See Also:
  Constant Field Values

### CKM_GENERIC_SECRET_KEY_GEN

    public static final long CKM_GENERIC_SECRET_KEY_GEN

See Also:
  Constant Field Values

### CKM_CONCATENATE_BASE_AND_KEY

    public static final long CKM_CONCATENATE_BASE_AND_KEY

See Also:
  Constant Field Values

### CKM_CONCATENATE_BASE_AND_DATA

    public static final long CKM_CONCATENATE_BASE_AND_DATA

See Also:
  Constant Field Values

### CKM_CONCATENATE_DATA_AND_BASE

    public static final long CKM_CONCATENATE_DATA_AND_BASE

See Also:
  Constant Field Values

### CKM_XOR_BASE_AND_DATA

    public static final long CKM_XOR_BASE_AND_DATA

See Also:
  Constant Field Values

### CKM_EXTRACT_KEY_FROM_KEY

    public static final long CKM_EXTRACT_KEY_FROM_KEY

See Also:
  Constant Field Values

### CKM_SSL3_PRE_MASTER_KEY_GEN

    public static final long CKM_SSL3_PRE_MASTER_KEY_GEN

See Also:
  Constant Field Values

### CKM_SSL3_MASTER_KEY_DERIVE

    public static final long CKM_SSL3_MASTER_KEY_DERIVE

See Also:
  Constant Field Values

### CKM_SSL3_KEY_AND_MAC_DERIVE

    public static final long CKM_SSL3_KEY_AND_MAC_DERIVE

See Also:
  Constant Field Values

### CKM_SSL3_MASTER_KEY_DERIVE_DH

    public static final long CKM_SSL3_MASTER_KEY_DERIVE_DH

See Also:
  Constant Field Values

### CKM_TLS_PRE_MASTER_KEY_GEN

    public static final long CKM_TLS_PRE_MASTER_KEY_GEN

See Also:
  Constant Field Values

### CKM_TLS_MASTER_KEY_DERIVE

    public static final long CKM_TLS_MASTER_KEY_DERIVE

See Also:
  Constant Field Values

### CKM_TLS_KEY_AND_MAC_DERIVE

    public static final long CKM_TLS_KEY_AND_MAC_DERIVE

See Also:
  Constant Field Values

### CKM_TLS_MASTER_KEY_DERIVE_DH

    public static final long CKM_TLS_MASTER_KEY_DERIVE_DH

See Also:
  Constant Field Values

### CKM_TLS_PRF

    public static final long CKM_TLS_PRF

See Also:
  Constant Field Values

### CKM_SSL3_MD5_MAC

    public static final long CKM_SSL3_MD5_MAC

See Also:
  Constant Field Values

### CKM_SSL3_SHA1_MAC

    public static final long CKM_SSL3_SHA1_MAC

See Also:
  Constant Field Values

### CKM_MD5_KEY_DERIVATION

    public static final long CKM_MD5_KEY_DERIVATION

See Also:
  Constant Field Values

### CKM_MD2_KEY_DERIVATION

    public static final long CKM_MD2_KEY_DERIVATION

See Also:
  Constant Field Values

### CKM_SHA1_KEY_DERIVATION

    public static final long CKM_SHA1_KEY_DERIVATION

See Also:
  Constant Field Values

### CKM_SHA256_KEY_DERIVATION

    public static final long CKM_SHA256_KEY_DERIVATION

See Also:
  Constant Field Values

### CKM_SHA384_KEY_DERIVATION

    public static final long CKM_SHA384_KEY_DERIVATION

See Also:
  Constant Field Values

### CKM_SHA512_KEY_DERIVATION

    public static final long CKM_SHA512_KEY_DERIVATION

See Also:
  Constant Field Values

### CKM_PBE_MD2_DES_CBC

    public static final long CKM_PBE_MD2_DES_CBC

See Also:
  Constant Field Values

### CKM_PBE_MD5_DES_CBC

    public static final long CKM_PBE_MD5_DES_CBC

See Also:
  Constant Field Values

### CKM_PBE_MD5_CAST_CBC

    public static final long CKM_PBE_MD5_CAST_CBC

See Also:
  Constant Field Values

### CKM_PBE_MD5_CAST3_CBC

    public static final long CKM_PBE_MD5_CAST3_CBC

See Also:
  Constant Field Values

### CKM_PBE_MD5_CAST5_CBC

    public static final long CKM_PBE_MD5_CAST5_CBC

See Also:
  Constant Field Values

### CKM_PBE_MD5_CAST128_CBC

    public static final long CKM_PBE_MD5_CAST128_CBC

See Also:
  Constant Field Values

### CKM_PBE_SHA1_CAST5_CBC

    public static final long CKM_PBE_SHA1_CAST5_CBC

See Also:
  Constant Field Values

### CKM_PBE_SHA1_CAST128_CBC

    public static final long CKM_PBE_SHA1_CAST128_CBC

See Also:
  Constant Field Values

### CKM_PBE_SHA1_RC4_128

    public static final long CKM_PBE_SHA1_RC4_128

See Also:
  Constant Field Values

### CKM_PBE_SHA1_RC4_40

    public static final long CKM_PBE_SHA1_RC4_40

See Also:
  Constant Field Values

### CKM_PBE_SHA1_DES3_EDE_CBC

    public static final long CKM_PBE_SHA1_DES3_EDE_CBC

See Also:
  Constant Field Values

### CKM_PBE_SHA1_DES2_EDE_CBC

    public static final long CKM_PBE_SHA1_DES2_EDE_CBC

See Also:
  Constant Field Values

### CKM_PBE_SHA1_RC2_128_CBC

    public static final long CKM_PBE_SHA1_RC2_128_CBC

See Also:
  Constant Field Values

### CKM_PBE_SHA1_RC2_40_CBC

    public static final long CKM_PBE_SHA1_RC2_40_CBC

See Also:
  Constant Field Values

### CKM_PKCS5_PBKD2

    public static final long CKM_PKCS5_PBKD2

See Also:
  Constant Field Values

### CKM_PBA_SHA1_WITH_SHA1_HMAC

    public static final long CKM_PBA_SHA1_WITH_SHA1_HMAC

See Also:
  Constant Field Values

### CKM_WTLS_PRE_MASTER_KEY_GEN

    public static final long CKM_WTLS_PRE_MASTER_KEY_GEN

See Also:
  Constant Field Values

### CKM_WTLS_MASTER_KEY_DERIVE

    public static final long CKM_WTLS_MASTER_KEY_DERIVE

See Also:
  Constant Field Values

### CKM_WTLS_MASTER_KEY_DERIVE_DH_ECC

    public static final long CKM_WTLS_MASTER_KEY_DERIVE_DH_ECC

See Also:
  Constant Field Values

### CKM_WTLS_MASTER_KEY_DERVIE_DH_ECC

    public static final long CKM_WTLS_MASTER_KEY_DERVIE_DH_ECC

See Also:
  Constant Field Values

### CKM_WTLS_PRF

    public static final long CKM_WTLS_PRF

See Also:
  Constant Field Values

### CKM_WTLS_SERVER_KEY_AND_MAC_DERIVE

    public static final long CKM_WTLS_SERVER_KEY_AND_MAC_DERIVE

See Also:
  Constant Field Values

### CKM_WTLS_CLIENT_KEY_AND_MAC_DERIVE

    public static final long CKM_WTLS_CLIENT_KEY_AND_MAC_DERIVE

See Also:
  Constant Field Values

### CKM_KEY_WRAP_LYNKS

    public static final long CKM_KEY_WRAP_LYNKS

See Also:
  Constant Field Values

### CKM_KEY_WRAP_SET_OAEP

    public static final long CKM_KEY_WRAP_SET_OAEP

See Also:
  Constant Field Values

### CKM_CMS_SIG

    public static final long CKM_CMS_SIG

See Also:
  Constant Field Values

### CKM_SKIPJACK_KEY_GEN

    public static final long CKM_SKIPJACK_KEY_GEN

See Also:
  Constant Field Values

### CKM_SKIPJACK_ECB64

    public static final long CKM_SKIPJACK_ECB64

See Also:
  Constant Field Values

### CKM_SKIPJACK_CBC64

    public static final long CKM_SKIPJACK_CBC64

See Also:
  Constant Field Values

### CKM_SKIPJACK_OFB64

    public static final long CKM_SKIPJACK_OFB64

See Also:
  Constant Field Values

### CKM_SKIPJACK_CFB64

    public static final long CKM_SKIPJACK_CFB64

See Also:
  Constant Field Values

### CKM_SKIPJACK_CFB32

    public static final long CKM_SKIPJACK_CFB32

See Also:
  Constant Field Values

### CKM_SKIPJACK_CFB16

    public static final long CKM_SKIPJACK_CFB16

See Also:
  Constant Field Values

### CKM_SKIPJACK_CFB8

    public static final long CKM_SKIPJACK_CFB8

See Also:
  Constant Field Values

### CKM_SKIPJACK_WRAP

    public static final long CKM_SKIPJACK_WRAP

See Also:
  Constant Field Values

### CKM_SKIPJACK_PRIVATE_WRAP

    public static final long CKM_SKIPJACK_PRIVATE_WRAP

See Also:
  Constant Field Values

### CKM_SKIPJACK_RELAYX

    public static final long CKM_SKIPJACK_RELAYX

See Also:
  Constant Field Values

### CKM_KEA_KEY_PAIR_GEN

    public static final long CKM_KEA_KEY_PAIR_GEN

See Also:
  Constant Field Values

### CKM_KEA_KEY_DERIVE

    public static final long CKM_KEA_KEY_DERIVE

See Also:
  Constant Field Values

### CKM_FORTEZZA_TIMESTAMP

    public static final long CKM_FORTEZZA_TIMESTAMP

See Also:
  Constant Field Values

### CKM_BATON_KEY_GEN

    public static final long CKM_BATON_KEY_GEN

See Also:
  Constant Field Values

### CKM_BATON_ECB128

    public static final long CKM_BATON_ECB128

See Also:
  Constant Field Values

### CKM_BATON_ECB96

    public static final long CKM_BATON_ECB96

See Also:
  Constant Field Values

### CKM_BATON_CBC128

    public static final long CKM_BATON_CBC128

See Also:
  Constant Field Values

### CKM_BATON_COUNTER

    public static final long CKM_BATON_COUNTER

See Also:
  Constant Field Values

### CKM_BATON_SHUFFLE

    public static final long CKM_BATON_SHUFFLE

See Also:
  Constant Field Values

### CKM_BATON_WRAP

    public static final long CKM_BATON_WRAP

See Also:
  Constant Field Values

### CKM_ECDSA_KEY_PAIR_GEN

    public static final long CKM_ECDSA_KEY_PAIR_GEN

See Also:
  Constant Field Values

### CKM_EC_KEY_PAIR_GEN

    public static final long CKM_EC_KEY_PAIR_GEN

See Also:
  Constant Field Values

### CKM_ECDSA

    public static final long CKM_ECDSA

See Also:
  Constant Field Values

### CKM_ECDSA_SHA1

    public static final long CKM_ECDSA_SHA1

See Also:
  Constant Field Values

### CKM_ECDH1_DERIVE

    public static final long CKM_ECDH1_DERIVE

See Also:
  Constant Field Values

### CKM_ECDH1_COFACTOR_DERIVE

    public static final long CKM_ECDH1_COFACTOR_DERIVE

See Also:
  Constant Field Values

### CKM_ECMQV_DERIVE

    public static final long CKM_ECMQV_DERIVE

See Also:
  Constant Field Values

### CKM_JUNIPER_KEY_GEN

    public static final long CKM_JUNIPER_KEY_GEN

See Also:
  Constant Field Values

### CKM_JUNIPER_ECB128

    public static final long CKM_JUNIPER_ECB128

See Also:
  Constant Field Values

### CKM_JUNIPER_CBC128

    public static final long CKM_JUNIPER_CBC128

See Also:
  Constant Field Values

### CKM_JUNIPER_COUNTER

    public static final long CKM_JUNIPER_COUNTER

See Also:
  Constant Field Values

### CKM_JUNIPER_SHUFFLE

    public static final long CKM_JUNIPER_SHUFFLE

See Also:
  Constant Field Values

### CKM_JUNIPER_WRAP

    public static final long CKM_JUNIPER_WRAP

See Also:
  Constant Field Values

### CKM_FASTHASH

    public static final long CKM_FASTHASH

See Also:
  Constant Field Values

### CKM_AES_KEY_GEN

    public static final long CKM_AES_KEY_GEN

See Also:
  Constant Field Values

### CKM_AES_ECB

    public static final long CKM_AES_ECB

See Also:
  Constant Field Values

### CKM_AES_CBC

    public static final long CKM_AES_CBC

See Also:
  Constant Field Values

### CKM_AES_MAC

    public static final long CKM_AES_MAC

See Also:
  Constant Field Values

### CKM_AES_MAC_GENERAL

    public static final long CKM_AES_MAC_GENERAL

See Also:
  Constant Field Values

### CKM_AES_CBC_PAD

    public static final long CKM_AES_CBC_PAD

See Also:
  Constant Field Values

### CKM_BLOWFISH_KEY_GEN

    public static final long CKM_BLOWFISH_KEY_GEN

See Also:
  Constant Field Values

### CKM_BLOWFISH_CBC

    public static final long CKM_BLOWFISH_CBC

See Also:
  Constant Field Values

### CKM_TWOFISH_KEY_GEN

    public static final long CKM_TWOFISH_KEY_GEN

See Also:
  Constant Field Values

### CKM_TWOFISH_CBC

    public static final long CKM_TWOFISH_CBC

See Also:
  Constant Field Values

### CKM_DES_ECB_ENCRYPT_DATA

    public static final long CKM_DES_ECB_ENCRYPT_DATA

See Also:
  Constant Field Values

### CKM_DES_CBC_ENCRYPT_DATA

    public static final long CKM_DES_CBC_ENCRYPT_DATA

See Also:
  Constant Field Values

### CKM_DES3_ECB_ENCRYPT_DATA

    public static final long CKM_DES3_ECB_ENCRYPT_DATA

See Also:
  Constant Field Values

### CKM_DES3_CBC_ENCRYPT_DATA

    public static final long CKM_DES3_CBC_ENCRYPT_DATA

See Also:
  Constant Field Values

### CKM_AES_ECB_ENCRYPT_DATA

    public static final long CKM_AES_ECB_ENCRYPT_DATA

See Also:
  Constant Field Values

### CKM_AES_CBC_ENCRYPT_DATA

    public static final long CKM_AES_CBC_ENCRYPT_DATA

See Also:
  Constant Field Values

### CKM_DSA_PARAMETER_GEN

    public static final long CKM_DSA_PARAMETER_GEN

See Also:
  Constant Field Values

### CKM_DH_PKCS_PARAMETER_GEN

    public static final long CKM_DH_PKCS_PARAMETER_GEN

See Also:
  Constant Field Values

### CKM_X9_42_DH_PARAMETER_GEN

    public static final long CKM_X9_42_DH_PARAMETER_GEN

See Also:
  Constant Field Values

### CKM_VENDOR_DEFINED

    public static final long CKM_VENDOR_DEFINED

See Also:
  Constant Field Values

### CKF_HW

    public static final long CKF_HW

See Also:
  Constant Field Values

### CKF_ENCRYPT

    public static final long CKF_ENCRYPT

See Also:
  Constant Field Values

### CKF_DECRYPT

    public static final long CKF_DECRYPT

See Also:
  Constant Field Values

### CKF_DIGEST

    public static final long CKF_DIGEST

See Also:
  Constant Field Values

### CKF_SIGN

    public static final long CKF_SIGN

See Also:
  Constant Field Values

### CKF_SIGN_RECOVER

    public static final long CKF_SIGN_RECOVER

See Also:
  Constant Field Values

### CKF_VERIFY

    public static final long CKF_VERIFY

See Also:
  Constant Field Values

### CKF_VERIFY_RECOVER

    public static final long CKF_VERIFY_RECOVER

See Also:
  Constant Field Values

### CKF_GENERATE

    public static final long CKF_GENERATE

See Also:
  Constant Field Values

### CKF_GENERATE_KEY_PAIR

    public static final long CKF_GENERATE_KEY_PAIR

See Also:
  Constant Field Values

### CKF_WRAP

    public static final long CKF_WRAP

See Also:
  Constant Field Values

### CKF_UNWRAP

    public static final long CKF_UNWRAP

See Also:
  Constant Field Values

### CKF_DERIVE

    public static final long CKF_DERIVE

See Also:
  Constant Field Values

### CKF_EC_F_P

    public static final long CKF_EC_F_P

See Also:
  Constant Field Values

### CKF_EC_F_2M

    public static final long CKF_EC_F_2M

See Also:
  Constant Field Values

### CKF_EC_ECPARAMETERS

    public static final long CKF_EC_ECPARAMETERS

See Also:
  Constant Field Values

### CKF_EC_NAMEDCURVE

    public static final long CKF_EC_NAMEDCURVE

See Also:
  Constant Field Values

### CKF_EC_UNCOMPRESS

    public static final long CKF_EC_UNCOMPRESS

See Also:
  Constant Field Values

### CKF_EC_COMPRESS

    public static final long CKF_EC_COMPRESS

See Also:
  Constant Field Values

### CKF_EXTENSION

    public static final long CKF_EXTENSION

See Also:
  Constant Field Values

### CKR_OK

    public static final long CKR_OK

See Also:
  Constant Field Values

### CKR_CANCEL

    public static final long CKR_CANCEL

See Also:
  Constant Field Values

### CKR_HOST_MEMORY

    public static final long CKR_HOST_MEMORY

See Also:
  Constant Field Values

### CKR_SLOT_ID_INVALID

    public static final long CKR_SLOT_ID_INVALID

See Also:
  Constant Field Values

### CKR_GENERAL_ERROR

    public static final long CKR_GENERAL_ERROR

See Also:
  Constant Field Values

### CKR_FUNCTION_FAILED

    public static final long CKR_FUNCTION_FAILED

See Also:
  Constant Field Values

### CKR_ARGUMENTS_BAD

    public static final long CKR_ARGUMENTS_BAD

See Also:
  Constant Field Values

### CKR_NO_EVENT

    public static final long CKR_NO_EVENT

See Also:
  Constant Field Values

### CKR_NEED_TO_CREATE_THREADS

    public static final long CKR_NEED_TO_CREATE_THREADS

See Also:
  Constant Field Values

### CKR_CANT_LOCK

    public static final long CKR_CANT_LOCK

See Also:
  Constant Field Values

### CKR_ATTRIBUTE_READ_ONLY

    public static final long CKR_ATTRIBUTE_READ_ONLY

See Also:
  Constant Field Values

### CKR_ATTRIBUTE_SENSITIVE

    public static final long CKR_ATTRIBUTE_SENSITIVE

See Also:
  Constant Field Values

### CKR_ATTRIBUTE_TYPE_INVALID

    public static final long CKR_ATTRIBUTE_TYPE_INVALID

See Also:
  Constant Field Values

### CKR_ATTRIBUTE_VALUE_INVALID

    public static final long CKR_ATTRIBUTE_VALUE_INVALID

See Also:
  Constant Field Values

### CKR_DATA_INVALID

    public static final long CKR_DATA_INVALID

See Also:
  Constant Field Values

### CKR_DATA_LEN_RANGE

    public static final long CKR_DATA_LEN_RANGE

See Also:
  Constant Field Values

### CKR_DEVICE_ERROR

    public static final long CKR_DEVICE_ERROR

See Also:
  Constant Field Values

### CKR_DEVICE_MEMORY

    public static final long CKR_DEVICE_MEMORY

See Also:
  Constant Field Values

### CKR_DEVICE_REMOVED

    public static final long CKR_DEVICE_REMOVED

See Also:
  Constant Field Values

### CKR_ENCRYPTED_DATA_INVALID

    public static final long CKR_ENCRYPTED_DATA_INVALID

See Also:
  Constant Field Values

### CKR_ENCRYPTED_DATA_LEN_RANGE

    public static final long CKR_ENCRYPTED_DATA_LEN_RANGE

See Also:
  Constant Field Values

### CKR_FUNCTION_CANCELED

    public static final long CKR_FUNCTION_CANCELED

See Also:
  Constant Field Values

### CKR_FUNCTION_NOT_PARALLEL

    public static final long CKR_FUNCTION_NOT_PARALLEL

See Also:
  Constant Field Values

### CKR_FUNCTION_NOT_SUPPORTED

    public static final long CKR_FUNCTION_NOT_SUPPORTED

See Also:
  Constant Field Values

### CKR_KEY_HANDLE_INVALID

    public static final long CKR_KEY_HANDLE_INVALID

See Also:
  Constant Field Values

### CKR_KEY_SIZE_RANGE

    public static final long CKR_KEY_SIZE_RANGE

See Also:
  Constant Field Values

### CKR_KEY_TYPE_INCONSISTENT

    public static final long CKR_KEY_TYPE_INCONSISTENT

See Also:
  Constant Field Values

### CKR_KEY_NOT_NEEDED

    public static final long CKR_KEY_NOT_NEEDED

See Also:
  Constant Field Values

### CKR_KEY_CHANGED

    public static final long CKR_KEY_CHANGED

See Also:
  Constant Field Values

### CKR_KEY_NEEDED

    public static final long CKR_KEY_NEEDED

See Also:
  Constant Field Values

### CKR_KEY_INDIGESTIBLE

    public static final long CKR_KEY_INDIGESTIBLE

See Also:
  Constant Field Values

### CKR_KEY_FUNCTION_NOT_PERMITTED

    public static final long CKR_KEY_FUNCTION_NOT_PERMITTED

See Also:
  Constant Field Values

### CKR_KEY_NOT_WRAPPABLE

    public static final long CKR_KEY_NOT_WRAPPABLE

See Also:
  Constant Field Values

### CKR_KEY_UNEXTRACTABLE

    public static final long CKR_KEY_UNEXTRACTABLE

See Also:
  Constant Field Values

### CKR_MECHANISM_INVALID

    public static final long CKR_MECHANISM_INVALID

See Also:
  Constant Field Values

### CKR_MECHANISM_PARAM_INVALID

    public static final long CKR_MECHANISM_PARAM_INVALID

See Also:
  Constant Field Values

### CKR_OBJECT_HANDLE_INVALID

    public static final long CKR_OBJECT_HANDLE_INVALID

See Also:
  Constant Field Values

### CKR_OPERATION_ACTIVE

    public static final long CKR_OPERATION_ACTIVE

See Also:
  Constant Field Values

### CKR_OPERATION_NOT_INITIALIZED

    public static final long CKR_OPERATION_NOT_INITIALIZED

See Also:
  Constant Field Values

### CKR_PIN_INCORRECT

    public static final long CKR_PIN_INCORRECT

See Also:
  Constant Field Values

### CKR_PIN_INVALID

    public static final long CKR_PIN_INVALID

See Also:
  Constant Field Values

### CKR_PIN_LEN_RANGE

    public static final long CKR_PIN_LEN_RANGE

See Also:
  Constant Field Values

### CKR_PIN_EXPIRED

    public static final long CKR_PIN_EXPIRED

See Also:
  Constant Field Values

### CKR_PIN_LOCKED

    public static final long CKR_PIN_LOCKED

See Also:
  Constant Field Values

### CKR_SESSION_CLOSED

    public static final long CKR_SESSION_CLOSED

See Also:
  Constant Field Values

### CKR_SESSION_COUNT

    public static final long CKR_SESSION_COUNT

See Also:
  Constant Field Values

### CKR_SESSION_HANDLE_INVALID

    public static final long CKR_SESSION_HANDLE_INVALID

See Also:
  Constant Field Values

### CKR_SESSION_PARALLEL_NOT_SUPPORTED

    public static final long CKR_SESSION_PARALLEL_NOT_SUPPORTED

See Also:
  Constant Field Values

### CKR_SESSION_READ_ONLY

    public static final long CKR_SESSION_READ_ONLY

See Also:
  Constant Field Values

### CKR_SESSION_EXISTS

    public static final long CKR_SESSION_EXISTS

See Also:
  Constant Field Values

### CKR_SESSION_READ_ONLY_EXISTS

    public static final long CKR_SESSION_READ_ONLY_EXISTS

See Also:
  Constant Field Values

### CKR_SESSION_READ_WRITE_SO_EXISTS

    public static final long CKR_SESSION_READ_WRITE_SO_EXISTS

See Also:
  Constant Field Values

### CKR_SIGNATURE_INVALID

    public static final long CKR_SIGNATURE_INVALID

See Also:
  Constant Field Values

### CKR_SIGNATURE_LEN_RANGE

    public static final long CKR_SIGNATURE_LEN_RANGE

See Also:
  Constant Field Values

### CKR_TEMPLATE_INCOMPLETE

    public static final long CKR_TEMPLATE_INCOMPLETE

See Also:
  Constant Field Values

### CKR_TEMPLATE_INCONSISTENT

    public static final long CKR_TEMPLATE_INCONSISTENT

See Also:
  Constant Field Values

### CKR_TOKEN_NOT_PRESENT

    public static final long CKR_TOKEN_NOT_PRESENT

See Also:
  Constant Field Values

### CKR_TOKEN_NOT_RECOGNIZED

    public static final long CKR_TOKEN_NOT_RECOGNIZED

See Also:
  Constant Field Values

### CKR_TOKEN_WRITE_PROTECTED

    public static final long CKR_TOKEN_WRITE_PROTECTED

See Also:
  Constant Field Values

### CKR_UNWRAPPING_KEY_HANDLE_INVALID

    public static final long CKR_UNWRAPPING_KEY_HANDLE_INVALID

See Also:
  Constant Field Values

### CKR_UNWRAPPING_KEY_SIZE_RANGE

    public static final long CKR_UNWRAPPING_KEY_SIZE_RANGE

See Also:
  Constant Field Values

### CKR_UNWRAPPING_KEY_TYPE_INCONSISTENT

    public static final long CKR_UNWRAPPING_KEY_TYPE_INCONSISTENT

See Also:
  Constant Field Values

### CKR_USER_ALREADY_LOGGED_IN

    public static final long CKR_USER_ALREADY_LOGGED_IN

See Also:
  Constant Field Values

### CKR_USER_NOT_LOGGED_IN

    public static final long CKR_USER_NOT_LOGGED_IN

See Also:
  Constant Field Values

### CKR_USER_PIN_NOT_INITIALIZED

    public static final long CKR_USER_PIN_NOT_INITIALIZED

See Also:
  Constant Field Values

### CKR_USER_TYPE_INVALID

    public static final long CKR_USER_TYPE_INVALID

See Also:
  Constant Field Values

### CKR_USER_ANOTHER_ALREADY_LOGGED_IN

    public static final long CKR_USER_ANOTHER_ALREADY_LOGGED_IN

See Also:
  Constant Field Values

### CKR_USER_TOO_MANY_TYPES

    public static final long CKR_USER_TOO_MANY_TYPES

See Also:
  Constant Field Values

### CKR_WRAPPED_KEY_INVALID

    public static final long CKR_WRAPPED_KEY_INVALID

See Also:
  Constant Field Values

### CKR_WRAPPED_KEY_LEN_RANGE

    public static final long CKR_WRAPPED_KEY_LEN_RANGE

See Also:
  Constant Field Values

### CKR_WRAPPING_KEY_HANDLE_INVALID

    public static final long CKR_WRAPPING_KEY_HANDLE_INVALID

See Also:
  Constant Field Values

### CKR_WRAPPING_KEY_SIZE_RANGE

    public static final long CKR_WRAPPING_KEY_SIZE_RANGE

See Also:
  Constant Field Values

### CKR_WRAPPING_KEY_TYPE_INCONSISTENT

    public static final long CKR_WRAPPING_KEY_TYPE_INCONSISTENT

See Also:
  Constant Field Values

### CKR_RANDOM_SEED_NOT_SUPPORTED

    public static final long CKR_RANDOM_SEED_NOT_SUPPORTED

See Also:
  Constant Field Values

### CKR_RANDOM_NO_RNG

    public static final long CKR_RANDOM_NO_RNG

See Also:
  Constant Field Values

### CKR_DOMAIN_PARAMS_INVALID

    public static final long CKR_DOMAIN_PARAMS_INVALID

See Also:
  Constant Field Values

### CKR_BUFFER_TOO_SMALL

    public static final long CKR_BUFFER_TOO_SMALL

See Also:
  Constant Field Values

### CKR_SAVED_STATE_INVALID

    public static final long CKR_SAVED_STATE_INVALID

See Also:
  Constant Field Values

### CKR_INFORMATION_SENSITIVE

    public static final long CKR_INFORMATION_SENSITIVE

See Also:
  Constant Field Values

### CKR_STATE_UNSAVEABLE

    public static final long CKR_STATE_UNSAVEABLE

See Also:
  Constant Field Values

### CKR_CRYPTOKI_NOT_INITIALIZED

    public static final long CKR_CRYPTOKI_NOT_INITIALIZED

See Also:
  Constant Field Values

### CKR_CRYPTOKI_ALREADY_INITIALIZED

    public static final long CKR_CRYPTOKI_ALREADY_INITIALIZED

See Also:
  Constant Field Values

### CKR_MUTEX_BAD

    public static final long CKR_MUTEX_BAD

See Also:
  Constant Field Values

### CKR_MUTEX_NOT_LOCKED

    public static final long CKR_MUTEX_NOT_LOCKED

See Also:
  Constant Field Values

### CKR_FUNCTION_REJECTED

    public static final long CKR_FUNCTION_REJECTED

See Also:
  Constant Field Values

### CKR_VENDOR_DEFINED

    public static final long CKR_VENDOR_DEFINED

See Also:
  Constant Field Values

### CKF_LIBRARY_CANT_CREATE_OS_THREADS

    public static final long CKF_LIBRARY_CANT_CREATE_OS_THREADS

See Also:
  Constant Field Values

### CKF_OS_LOCKING_OK

    public static final long CKF_OS_LOCKING_OK

See Also:
  Constant Field Values

### CKF_DONT_BLOCK

    public static final long CKF_DONT_BLOCK

See Also:
  Constant Field Values

### CKG_MGF1_SHA1

    public static final long CKG_MGF1_SHA1

See Also:
  Constant Field Values

### CKG_MGF1_SHA256

    public static final long CKG_MGF1_SHA256

See Also:
  Constant Field Values

### CKG_MGF1_SHA384

    public static final long CKG_MGF1_SHA384

See Also:
  Constant Field Values

### CKG_MGF1_SHA512

    public static final long CKG_MGF1_SHA512

See Also:
  Constant Field Values

### CKZ_DATA_SPECIFIED

    public static final long CKZ_DATA_SPECIFIED

See Also:
  Constant Field Values

### CKP_PKCS5_PBKD2_HMAC_SHA1

    public static final long CKP_PKCS5_PBKD2_HMAC_SHA1

See Also:
  Constant Field Values

### CKZ_SALT_SPECIFIED

    public static final long CKZ_SALT_SPECIFIED

See Also:
  Constant Field Values

### CKD_NULL

    public static final long CKD_NULL

See Also:
  Constant Field Values

### CKD_SHA1_KDF

    public static final long CKD_SHA1_KDF

See Also:
  Constant Field Values

### CKD_SHA1_KDF_ASN1

    public static final long CKD_SHA1_KDF_ASN1

See Also:
  Constant Field Values

### CKD_SHA1_KDF_CONCATENATE

    public static final long CKD_SHA1_KDF_CONCATENATE

See Also:
  Constant Field Values

### NAME_CKM_RSA_PKCS_KEY_PAIR_GEN

    public static final String NAME_CKM_RSA_PKCS_KEY_PAIR_GEN

See Also:
  Constant Field Values

### NAME_CKM_RSA_PKCS

    public static final String NAME_CKM_RSA_PKCS

See Also:
  Constant Field Values

### NAME_CKM_RSA_9796

    public static final String NAME_CKM_RSA_9796

See Also:
  Constant Field Values

### NAME_CKM_RSA_X_509

    public static final String NAME_CKM_RSA_X_509

See Also:
  Constant Field Values

### NAME_CKM_MD2_RSA_PKCS

    public static final String NAME_CKM_MD2_RSA_PKCS

See Also:
  Constant Field Values

### NAME_CKM_MD5_RSA_PKCS

    public static final String NAME_CKM_MD5_RSA_PKCS

See Also:
  Constant Field Values

### NAME_CKM_SHA1_RSA_PKCS

    public static final String NAME_CKM_SHA1_RSA_PKCS

See Also:
  Constant Field Values

### NAME_CKM_RIPEMD128_RSA_PKCS

    public static final String NAME_CKM_RIPEMD128_RSA_PKCS

See Also:
  Constant Field Values

### NAME_CKM_RIPEMD160_RSA_PKCS

    public static final String NAME_CKM_RIPEMD160_RSA_PKCS

See Also:
  Constant Field Values

### NAME_CKM_SHA256_RSA_PKCS

    public static final String NAME_CKM_SHA256_RSA_PKCS

See Also:
  Constant Field Values

### NAME_CKM_SHA384_RSA_PKCS

    public static final String NAME_CKM_SHA384_RSA_PKCS

See Also:
  Constant Field Values

### NAME_CKM_SHA512_RSA_PKCS

    public static final String NAME_CKM_SHA512_RSA_PKCS

See Also:
  Constant Field Values

### NAME_CKM_RSA_PKCS_OAEP

    public static final String NAME_CKM_RSA_PKCS_OAEP

See Also:
  Constant Field Values

### NAME_CKM_RSA_X9_31_KEY_PAIR_GEN

    public static final String NAME_CKM_RSA_X9_31_KEY_PAIR_GEN

See Also:
  Constant Field Values

### NAME_CKM_RSA_X9_31

    public static final String NAME_CKM_RSA_X9_31

See Also:
  Constant Field Values

### NAME_CKM_SHA1_RSA_X9_31

    public static final String NAME_CKM_SHA1_RSA_X9_31

See Also:
  Constant Field Values

### NAME_CKM_RSA_PKCS_PSS

    public static final String NAME_CKM_RSA_PKCS_PSS

See Also:
  Constant Field Values

### NAME_CKM_SHA1_RSA_PKCS_PSS

    public static final String NAME_CKM_SHA1_RSA_PKCS_PSS

See Also:
  Constant Field Values

### NAME_CKM_SHA256_RSA_PKCS_PSS

    public static final String NAME_CKM_SHA256_RSA_PKCS_PSS

See Also:
  Constant Field Values

### NAME_CKM_SHA384_RSA_PKCS_PSS

    public static final String NAME_CKM_SHA384_RSA_PKCS_PSS

See Also:
  Constant Field Values

### NAME_CKM_SHA512_RSA_PKCS_PSS

    public static final String NAME_CKM_SHA512_RSA_PKCS_PSS

See Also:
  Constant Field Values

### NAME_CKM_DSA_KEY_PAIR_GEN

    public static final String NAME_CKM_DSA_KEY_PAIR_GEN

See Also:
  Constant Field Values

### NAME_CKM_DSA

    public static final String NAME_CKM_DSA

See Also:
  Constant Field Values

### NAME_CKM_DSA_SHA1

    public static final String NAME_CKM_DSA_SHA1

See Also:
  Constant Field Values

### NAME_CKM_DH_PKCS_KEY_PAIR_GEN

    public static final String NAME_CKM_DH_PKCS_KEY_PAIR_GEN

See Also:
  Constant Field Values

### NAME_CKM_DH_PKCS_DERIVE

    public static final String NAME_CKM_DH_PKCS_DERIVE

See Also:
  Constant Field Values

### NAME_CKM_X9_42_DH_KEY_PAIR_GEN

    public static final String NAME_CKM_X9_42_DH_KEY_PAIR_GEN

See Also:
  Constant Field Values

### NAME_CKM_X9_42_DH_DERIVE

    public static final String NAME_CKM_X9_42_DH_DERIVE

See Also:
  Constant Field Values

### NAME_CKM_X9_42_DH_HYBRID_DERIVE

    public static final String NAME_CKM_X9_42_DH_HYBRID_DERIVE

See Also:
  Constant Field Values

### NAME_CKM_X9_42_MQV_DERIVE

    public static final String NAME_CKM_X9_42_MQV_DERIVE

See Also:
  Constant Field Values

### NAME_CKM_RC2_KEY_GEN

    public static final String NAME_CKM_RC2_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_RC2_ECB

    public static final String NAME_CKM_RC2_ECB

See Also:
  Constant Field Values

### NAME_CKM_RC2_CBC

    public static final String NAME_CKM_RC2_CBC

See Also:
  Constant Field Values

### NAME_CKM_RC2_MAC

    public static final String NAME_CKM_RC2_MAC

See Also:
  Constant Field Values

### NAME_CKM_RC2_MAC_GENERAL

    public static final String NAME_CKM_RC2_MAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_RC2_CBC_PAD

    public static final String NAME_CKM_RC2_CBC_PAD

See Also:
  Constant Field Values

### NAME_CKM_RC4_KEY_GEN

    public static final String NAME_CKM_RC4_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_RC4

    public static final String NAME_CKM_RC4

See Also:
  Constant Field Values

### NAME_CKM_DES_KEY_GEN

    public static final String NAME_CKM_DES_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_DES_ECB

    public static final String NAME_CKM_DES_ECB

See Also:
  Constant Field Values

### NAME_CKM_DES_CBC

    public static final String NAME_CKM_DES_CBC

See Also:
  Constant Field Values

### NAME_CKM_DES_MAC

    public static final String NAME_CKM_DES_MAC

See Also:
  Constant Field Values

### NAME_CKM_DES_MAC_GENERAL

    public static final String NAME_CKM_DES_MAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_DES_CBC_PAD

    public static final String NAME_CKM_DES_CBC_PAD

See Also:
  Constant Field Values

### NAME_CKM_DES_OFB64

    public static final String NAME_CKM_DES_OFB64

See Also:
  Constant Field Values

### NAME_CKM_DES_OFB8

    public static final String NAME_CKM_DES_OFB8

See Also:
  Constant Field Values

### NAME_CKM_DES_CFB64

    public static final String NAME_CKM_DES_CFB64

See Also:
  Constant Field Values

### NAME_CKM_DES_CFB8

    public static final String NAME_CKM_DES_CFB8

See Also:
  Constant Field Values

### NAME_CKM_DES2_KEY_GEN

    public static final String NAME_CKM_DES2_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_DES3_KEY_GEN

    public static final String NAME_CKM_DES3_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_DES3_ECB

    public static final String NAME_CKM_DES3_ECB

See Also:
  Constant Field Values

### NAME_CKM_DES3_CBC

    public static final String NAME_CKM_DES3_CBC

See Also:
  Constant Field Values

### NAME_CKM_DES3_MAC

    public static final String NAME_CKM_DES3_MAC

See Also:
  Constant Field Values

### NAME_CKM_DES3_MAC_GENERAL

    public static final String NAME_CKM_DES3_MAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_DES3_CBC_PAD

    public static final String NAME_CKM_DES3_CBC_PAD

See Also:
  Constant Field Values

### NAME_CKM_CDMF_KEY_GEN

    public static final String NAME_CKM_CDMF_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_CDMF_ECB

    public static final String NAME_CKM_CDMF_ECB

See Also:
  Constant Field Values

### NAME_CKM_CDMF_CBC

    public static final String NAME_CKM_CDMF_CBC

See Also:
  Constant Field Values

### NAME_CKM_CDMF_MAC

    public static final String NAME_CKM_CDMF_MAC

See Also:
  Constant Field Values

### NAME_CKM_CDMF_MAC_GENERAL

    public static final String NAME_CKM_CDMF_MAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_CDMF_CBC_PAD

    public static final String NAME_CKM_CDMF_CBC_PAD

See Also:
  Constant Field Values

### NAME_CKM_MD2

    public static final String NAME_CKM_MD2

See Also:
  Constant Field Values

### NAME_CKM_MD2_HMAC

    public static final String NAME_CKM_MD2_HMAC

See Also:
  Constant Field Values

### NAME_CKM_MD2_HMAC_GENERAL

    public static final String NAME_CKM_MD2_HMAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_MD5

    public static final String NAME_CKM_MD5

See Also:
  Constant Field Values

### NAME_CKM_MD5_HMAC

    public static final String NAME_CKM_MD5_HMAC

See Also:
  Constant Field Values

### NAME_CKM_MD5_HMAC_GENERAL

    public static final String NAME_CKM_MD5_HMAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_SHA_1

    public static final String NAME_CKM_SHA_1

See Also:
  Constant Field Values

### NAME_CKM_SHA_1_HMAC

    public static final String NAME_CKM_SHA_1_HMAC

See Also:
  Constant Field Values

### NAME_CKM_SHA_1_HMAC_GENERAL

    public static final String NAME_CKM_SHA_1_HMAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_RIPEMD128

    public static final String NAME_CKM_RIPEMD128

See Also:
  Constant Field Values

### NAME_CKM_RIPEMD128_HMAC

    public static final String NAME_CKM_RIPEMD128_HMAC

See Also:
  Constant Field Values

### NAME_CKM_RIPEMD128_HMAC_GENERAL

    public static final String NAME_CKM_RIPEMD128_HMAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_RIPEMD160

    public static final String NAME_CKM_RIPEMD160

See Also:
  Constant Field Values

### NAME_CKM_RIPEMD160_HMAC

    public static final String NAME_CKM_RIPEMD160_HMAC

See Also:
  Constant Field Values

### NAME_CKM_RIPEMD160_HMAC_GENERAL

    public static final String NAME_CKM_RIPEMD160_HMAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_SHA256

    public static final String NAME_CKM_SHA256

See Also:
  Constant Field Values

### NAME_CKM_SHA256_HMAC

    public static final String NAME_CKM_SHA256_HMAC

See Also:
  Constant Field Values

### NAME_CKM_SHA256_HMAC_GENERAL

    public static final String NAME_CKM_SHA256_HMAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_SHA384

    public static final String NAME_CKM_SHA384

See Also:
  Constant Field Values

### NAME_CKM_SHA384_HMAC

    public static final String NAME_CKM_SHA384_HMAC

See Also:
  Constant Field Values

### NAME_CKM_SHA384_HMAC_GENERAL

    public static final String NAME_CKM_SHA384_HMAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_SHA512

    public static final String NAME_CKM_SHA512

See Also:
  Constant Field Values

### NAME_CKM_SHA512_HMAC

    public static final String NAME_CKM_SHA512_HMAC

See Also:
  Constant Field Values

### NAME_CKM_SHA512_HMAC_GENERAL

    public static final String NAME_CKM_SHA512_HMAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_CAST_KEY_GEN

    public static final String NAME_CKM_CAST_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_CAST_ECB

    public static final String NAME_CKM_CAST_ECB

See Also:
  Constant Field Values

### NAME_CKM_CAST_CBC

    public static final String NAME_CKM_CAST_CBC

See Also:
  Constant Field Values

### NAME_CKM_CAST_MAC

    public static final String NAME_CKM_CAST_MAC

See Also:
  Constant Field Values

### NAME_CKM_CAST_MAC_GENERAL

    public static final String NAME_CKM_CAST_MAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_CAST_CBC_PAD

    public static final String NAME_CKM_CAST_CBC_PAD

See Also:
  Constant Field Values

### NAME_CKM_CAST3_KEY_GEN

    public static final String NAME_CKM_CAST3_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_CAST3_ECB

    public static final String NAME_CKM_CAST3_ECB

See Also:
  Constant Field Values

### NAME_CKM_CAST3_CBC

    public static final String NAME_CKM_CAST3_CBC

See Also:
  Constant Field Values

### NAME_CKM_CAST3_MAC

    public static final String NAME_CKM_CAST3_MAC

See Also:
  Constant Field Values

### NAME_CKM_CAST3_MAC_GENERAL

    public static final String NAME_CKM_CAST3_MAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_CAST3_CBC_PAD

    public static final String NAME_CKM_CAST3_CBC_PAD

See Also:
  Constant Field Values

### NAME_CKM_CAST5_KEY_GEN

    public static final String NAME_CKM_CAST5_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_CAST128_KEY_GEN

    public static final String NAME_CKM_CAST128_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_CAST5_ECB

    public static final String NAME_CKM_CAST5_ECB

See Also:
  Constant Field Values

### NAME_CKM_CAST128_ECB

    public static final String NAME_CKM_CAST128_ECB

See Also:
  Constant Field Values

### NAME_CKM_CAST5_CBC

    public static final String NAME_CKM_CAST5_CBC

See Also:
  Constant Field Values

### NAME_CKM_CAST128_CBC

    public static final String NAME_CKM_CAST128_CBC

See Also:
  Constant Field Values

### NAME_CKM_CAST5_MAC

    public static final String NAME_CKM_CAST5_MAC

See Also:
  Constant Field Values

### NAME_CKM_CAST128_MAC

    public static final String NAME_CKM_CAST128_MAC

See Also:
  Constant Field Values

### NAME_CKM_CAST5_MAC_GENERAL

    public static final String NAME_CKM_CAST5_MAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_CAST128_MAC_GENERAL

    public static final String NAME_CKM_CAST128_MAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_CAST5_CBC_PAD

    public static final String NAME_CKM_CAST5_CBC_PAD

See Also:
  Constant Field Values

### NAME_CKM_CAST128_CBC_PAD

    public static final String NAME_CKM_CAST128_CBC_PAD

See Also:
  Constant Field Values

### NAME_CKM_RC5_KEY_GEN

    public static final String NAME_CKM_RC5_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_RC5_ECB

    public static final String NAME_CKM_RC5_ECB

See Also:
  Constant Field Values

### NAME_CKM_RC5_CBC

    public static final String NAME_CKM_RC5_CBC

See Also:
  Constant Field Values

### NAME_CKM_RC5_MAC

    public static final String NAME_CKM_RC5_MAC

See Also:
  Constant Field Values

### NAME_CKM_RC5_MAC_GENERAL

    public static final String NAME_CKM_RC5_MAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_RC5_CBC_PAD

    public static final String NAME_CKM_RC5_CBC_PAD

See Also:
  Constant Field Values

### NAME_CKM_IDEA_KEY_GEN

    public static final String NAME_CKM_IDEA_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_IDEA_ECB

    public static final String NAME_CKM_IDEA_ECB

See Also:
  Constant Field Values

### NAME_CKM_IDEA_CBC

    public static final String NAME_CKM_IDEA_CBC

See Also:
  Constant Field Values

### NAME_CKM_IDEA_MAC

    public static final String NAME_CKM_IDEA_MAC

See Also:
  Constant Field Values

### NAME_CKM_IDEA_MAC_GENERAL

    public static final String NAME_CKM_IDEA_MAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_IDEA_CBC_PAD

    public static final String NAME_CKM_IDEA_CBC_PAD

See Also:
  Constant Field Values

### NAME_CKM_GENERIC_SECRET_KEY_GEN

    public static final String NAME_CKM_GENERIC_SECRET_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_CONCATENATE_BASE_AND_KEY

    public static final String NAME_CKM_CONCATENATE_BASE_AND_KEY

See Also:
  Constant Field Values

### NAME_CKM_CONCATENATE_BASE_AND_DATA

    public static final String NAME_CKM_CONCATENATE_BASE_AND_DATA

See Also:
  Constant Field Values

### NAME_CKM_CONCATENATE_DATA_AND_BASE

    public static final String NAME_CKM_CONCATENATE_DATA_AND_BASE

See Also:
  Constant Field Values

### NAME_CKM_XOR_BASE_AND_DATA

    public static final String NAME_CKM_XOR_BASE_AND_DATA

See Also:
  Constant Field Values

### NAME_CKM_EXTRACT_KEY_FROM_KEY

    public static final String NAME_CKM_EXTRACT_KEY_FROM_KEY

See Also:
  Constant Field Values

### NAME_CKM_SSL3_PRE_MASTER_KEY_GEN

    public static final String NAME_CKM_SSL3_PRE_MASTER_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_SSL3_MASTER_KEY_DERIVE

    public static final String NAME_CKM_SSL3_MASTER_KEY_DERIVE

See Also:
  Constant Field Values

### NAME_CKM_SSL3_KEY_AND_MAC_DERIVE

    public static final String NAME_CKM_SSL3_KEY_AND_MAC_DERIVE

See Also:
  Constant Field Values

### NAME_CKM_SSL3_MASTER_KEY_DERIVE_DH

    public static final String NAME_CKM_SSL3_MASTER_KEY_DERIVE_DH

See Also:
  Constant Field Values

### NAME_CKM_TLS_PRE_MASTER_KEY_GEN

    public static final String NAME_CKM_TLS_PRE_MASTER_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_TLS_MASTER_KEY_DERIVE

    public static final String NAME_CKM_TLS_MASTER_KEY_DERIVE

See Also:
  Constant Field Values

### NAME_CKM_TLS_KEY_AND_MAC_DERIVE

    public static final String NAME_CKM_TLS_KEY_AND_MAC_DERIVE

See Also:
  Constant Field Values

### NAME_CKM_TLS_MASTER_KEY_DERIVE_DH

    public static final String NAME_CKM_TLS_MASTER_KEY_DERIVE_DH

See Also:
  Constant Field Values

### NAME_CKM_TLS_PRF

    public static final String NAME_CKM_TLS_PRF

See Also:
  Constant Field Values

### NAME_CKM_SSL3_MD5_MAC

    public static final String NAME_CKM_SSL3_MD5_MAC

See Also:
  Constant Field Values

### NAME_CKM_SSL3_SHA1_MAC

    public static final String NAME_CKM_SSL3_SHA1_MAC

See Also:
  Constant Field Values

### NAME_CKM_MD5_KEY_DERIVATION

    public static final String NAME_CKM_MD5_KEY_DERIVATION

See Also:
  Constant Field Values

### NAME_CKM_MD2_KEY_DERIVATION

    public static final String NAME_CKM_MD2_KEY_DERIVATION

See Also:
  Constant Field Values

### NAME_CKM_SHA1_KEY_DERIVATION

    public static final String NAME_CKM_SHA1_KEY_DERIVATION

See Also:
  Constant Field Values

### NAME_CKM_SHA256_KEY_DERIVATION

    public static final String NAME_CKM_SHA256_KEY_DERIVATION

See Also:
  Constant Field Values

### NAME_CKM_SHA384_KEY_DERIVATION

    public static final String NAME_CKM_SHA384_KEY_DERIVATION

See Also:
  Constant Field Values

### NAME_CKM_SHA512_KEY_DERIVATION

    public static final String NAME_CKM_SHA512_KEY_DERIVATION

See Also:
  Constant Field Values

### NAME_CKM_PBE_MD2_DES_CBC

    public static final String NAME_CKM_PBE_MD2_DES_CBC

See Also:
  Constant Field Values

### NAME_CKM_PBE_MD5_DES_CBC

    public static final String NAME_CKM_PBE_MD5_DES_CBC

See Also:
  Constant Field Values

### NAME_CKM_PBE_MD5_CAST_CBC

    public static final String NAME_CKM_PBE_MD5_CAST_CBC

See Also:
  Constant Field Values

### NAME_CKM_PBE_MD5_CAST3_CBC

    public static final String NAME_CKM_PBE_MD5_CAST3_CBC

See Also:
  Constant Field Values

### NAME_CKM_PBE_MD5_CAST5_CBC

    public static final String NAME_CKM_PBE_MD5_CAST5_CBC

See Also:
  Constant Field Values

### NAME_CKM_PBE_MD5_CAST128_CBC

    public static final String NAME_CKM_PBE_MD5_CAST128_CBC

See Also:
  Constant Field Values

### NAME_CKM_PBE_SHA1_CAST5_CBC

    public static final String NAME_CKM_PBE_SHA1_CAST5_CBC

See Also:
  Constant Field Values

### NAME_CKM_PBE_SHA1_CAST128_CBC

    public static final String NAME_CKM_PBE_SHA1_CAST128_CBC

See Also:
  Constant Field Values

### NAME_CKM_PBE_SHA1_RC4_128

    public static final String NAME_CKM_PBE_SHA1_RC4_128

See Also:
  Constant Field Values

### NAME_CKM_PBE_SHA1_RC4_40

    public static final String NAME_CKM_PBE_SHA1_RC4_40

See Also:
  Constant Field Values

### NAME_CKM_PBE_SHA1_DES3_EDE_CBC

    public static final String NAME_CKM_PBE_SHA1_DES3_EDE_CBC

See Also:
  Constant Field Values

### NAME_CKM_PBE_SHA1_DES2_EDE_CBC

    public static final String NAME_CKM_PBE_SHA1_DES2_EDE_CBC

See Also:
  Constant Field Values

### NAME_CKM_PBE_SHA1_RC2_128_CBC

    public static final String NAME_CKM_PBE_SHA1_RC2_128_CBC

See Also:
  Constant Field Values

### NAME_CKM_PBE_SHA1_RC2_40_CBC

    public static final String NAME_CKM_PBE_SHA1_RC2_40_CBC

See Also:
  Constant Field Values

### NAME_CKM_PKCS5_PBKD2

    public static final String NAME_CKM_PKCS5_PBKD2

See Also:
  Constant Field Values

### NAME_CKM_PBA_SHA1_WITH_SHA1_HMAC

    public static final String NAME_CKM_PBA_SHA1_WITH_SHA1_HMAC

See Also:
  Constant Field Values

### NAME_CKM_WTLS_PRE_MASTER_KEY_GEN

    public static final String NAME_CKM_WTLS_PRE_MASTER_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_WTLS_MASTER_KEY_DERIVE

    public static final String NAME_CKM_WTLS_MASTER_KEY_DERIVE

See Also:
  Constant Field Values

### NAME_CKM_WTLS_MASTER_KEY_DERIVE_DH_ECC

    public static final String NAME_CKM_WTLS_MASTER_KEY_DERIVE_DH_ECC

See Also:
  Constant Field Values

### NAME_CKM_WTLS_PRF

    public static final String NAME_CKM_WTLS_PRF

See Also:
  Constant Field Values

### NAME_CKM_WTLS_SERVER_KEY_AND_MAC_DERIVE

    public static final String NAME_CKM_WTLS_SERVER_KEY_AND_MAC_DERIVE

See Also:
  Constant Field Values

### NAME_CKM_WTLS_CLIENT_KEY_AND_MAC_DERIVE

    public static final String NAME_CKM_WTLS_CLIENT_KEY_AND_MAC_DERIVE

See Also:
  Constant Field Values

### NAME_CKM_KEY_WRAP_LYNKS

    public static final String NAME_CKM_KEY_WRAP_LYNKS

See Also:
  Constant Field Values

### NAME_CKM_KEY_WRAP_SET_OAEP

    public static final String NAME_CKM_KEY_WRAP_SET_OAEP

See Also:
  Constant Field Values

### NAME_CKM_CMS_SIG

    public static final String NAME_CKM_CMS_SIG

See Also:
  Constant Field Values

### NAME_CKM_SKIPJACK_KEY_GEN

    public static final String NAME_CKM_SKIPJACK_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_SKIPJACK_ECB64

    public static final String NAME_CKM_SKIPJACK_ECB64

See Also:
  Constant Field Values

### NAME_CKM_SKIPJACK_CBC64

    public static final String NAME_CKM_SKIPJACK_CBC64

See Also:
  Constant Field Values

### NAME_CKM_SKIPJACK_OFB64

    public static final String NAME_CKM_SKIPJACK_OFB64

See Also:
  Constant Field Values

### NAME_CKM_SKIPJACK_CFB64

    public static final String NAME_CKM_SKIPJACK_CFB64

See Also:
  Constant Field Values

### NAME_CKM_SKIPJACK_CFB32

    public static final String NAME_CKM_SKIPJACK_CFB32

See Also:
  Constant Field Values

### NAME_CKM_SKIPJACK_CFB16

    public static final String NAME_CKM_SKIPJACK_CFB16

See Also:
  Constant Field Values

### NAME_CKM_SKIPJACK_CFB8

    public static final String NAME_CKM_SKIPJACK_CFB8

See Also:
  Constant Field Values

### NAME_CKM_SKIPJACK_WRAP

    public static final String NAME_CKM_SKIPJACK_WRAP

See Also:
  Constant Field Values

### NAME_CKM_SKIPJACK_PRIVATE_WRAP

    public static final String NAME_CKM_SKIPJACK_PRIVATE_WRAP

See Also:
  Constant Field Values

### NAME_CKM_SKIPJACK_RELAYX

    public static final String NAME_CKM_SKIPJACK_RELAYX

See Also:
  Constant Field Values

### NAME_CKM_KEA_KEY_PAIR_GEN

    public static final String NAME_CKM_KEA_KEY_PAIR_GEN

See Also:
  Constant Field Values

### NAME_CKM_KEA_KEY_DERIVE

    public static final String NAME_CKM_KEA_KEY_DERIVE

See Also:
  Constant Field Values

### NAME_CKM_FORTEZZA_TIMESTAMP

    public static final String NAME_CKM_FORTEZZA_TIMESTAMP

See Also:
  Constant Field Values

### NAME_CKM_BATON_KEY_GEN

    public static final String NAME_CKM_BATON_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_BATON_ECB128

    public static final String NAME_CKM_BATON_ECB128

See Also:
  Constant Field Values

### NAME_CKM_BATON_ECB96

    public static final String NAME_CKM_BATON_ECB96

See Also:
  Constant Field Values

### NAME_CKM_BATON_CBC128

    public static final String NAME_CKM_BATON_CBC128

See Also:
  Constant Field Values

### NAME_CKM_BATON_COUNTER

    public static final String NAME_CKM_BATON_COUNTER

See Also:
  Constant Field Values

### NAME_CKM_BATON_SHUFFLE

    public static final String NAME_CKM_BATON_SHUFFLE

See Also:
  Constant Field Values

### NAME_CKM_BATON_WRAP

    public static final String NAME_CKM_BATON_WRAP

See Also:
  Constant Field Values

### NAME_CKM_ECDSA_KEY_PAIR_GEN

    public static final String NAME_CKM_ECDSA_KEY_PAIR_GEN

See Also:
  Constant Field Values

### NAME_CKM_EC_KEY_PAIR_GEN

    public static final String NAME_CKM_EC_KEY_PAIR_GEN

See Also:
  Constant Field Values

### NAME_CKM_ECDSA

    public static final String NAME_CKM_ECDSA

See Also:
  Constant Field Values

### NAME_CKM_ECDSA_SHA1

    public static final String NAME_CKM_ECDSA_SHA1

See Also:
  Constant Field Values

### NAME_CKM_ECDH1_DERIVE

    public static final String NAME_CKM_ECDH1_DERIVE

See Also:
  Constant Field Values

### NAME_CKM_ECDH1_COFACTOR_DERIVE

    public static final String NAME_CKM_ECDH1_COFACTOR_DERIVE

See Also:
  Constant Field Values

### NAME_CKM_ECMQV_DERIVE

    public static final String NAME_CKM_ECMQV_DERIVE

See Also:
  Constant Field Values

### NAME_CKM_JUNIPER_KEY_GEN

    public static final String NAME_CKM_JUNIPER_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_JUNIPER_ECB128

    public static final String NAME_CKM_JUNIPER_ECB128

See Also:
  Constant Field Values

### NAME_CKM_JUNIPER_CBC128

    public static final String NAME_CKM_JUNIPER_CBC128

See Also:
  Constant Field Values

### NAME_CKM_JUNIPER_COUNTER

    public static final String NAME_CKM_JUNIPER_COUNTER

See Also:
  Constant Field Values

### NAME_CKM_JUNIPER_SHUFFLE

    public static final String NAME_CKM_JUNIPER_SHUFFLE

See Also:
  Constant Field Values

### NAME_CKM_JUNIPER_WRAP

    public static final String NAME_CKM_JUNIPER_WRAP

See Also:
  Constant Field Values

### NAME_CKM_FASTHASH

    public static final String NAME_CKM_FASTHASH

See Also:
  Constant Field Values

### NAME_CKM_AES_KEY_GEN

    public static final String NAME_CKM_AES_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_AES_ECB

    public static final String NAME_CKM_AES_ECB

See Also:
  Constant Field Values

### NAME_CKM_AES_CBC

    public static final String NAME_CKM_AES_CBC

See Also:
  Constant Field Values

### NAME_CKM_AES_MAC

    public static final String NAME_CKM_AES_MAC

See Also:
  Constant Field Values

### NAME_CKM_AES_MAC_GENERAL

    public static final String NAME_CKM_AES_MAC_GENERAL

See Also:
  Constant Field Values

### NAME_CKM_AES_CBC_PAD

    public static final String NAME_CKM_AES_CBC_PAD

See Also:
  Constant Field Values

### NAME_CKM_BLOWFISH_KEY_GEN

    public static final String NAME_CKM_BLOWFISH_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_BLOWFISH_CBC

    public static final String NAME_CKM_BLOWFISH_CBC

See Also:
  Constant Field Values

### NAME_CKM_TWOFISH_KEY_GEN

    public static final String NAME_CKM_TWOFISH_KEY_GEN

See Also:
  Constant Field Values

### NAME_CKM_TWOFISH_CBC

    public static final String NAME_CKM_TWOFISH_CBC

See Also:
  Constant Field Values

### NAME_CKM_DES_ECB_ENCRYPT_DATA

    public static final String NAME_CKM_DES_ECB_ENCRYPT_DATA

See Also:
  Constant Field Values

### NAME_CKM_DES_CBC_ENCRYPT_DATA

    public static final String NAME_CKM_DES_CBC_ENCRYPT_DATA

See Also:
  Constant Field Values

### NAME_CKM_DES3_ECB_ENCRYPT_DATA

    public static final String NAME_CKM_DES3_ECB_ENCRYPT_DATA

See Also:
  Constant Field Values

### NAME_CKM_DES3_CBC_ENCRYPT_DATA

    public static final String NAME_CKM_DES3_CBC_ENCRYPT_DATA

See Also:
  Constant Field Values

### NAME_CKM_AES_ECB_ENCRYPT_DATA

    public static final String NAME_CKM_AES_ECB_ENCRYPT_DATA

See Also:
  Constant Field Values

### NAME_CKM_AES_CBC_ENCRYPT_DATA

    public static final String NAME_CKM_AES_CBC_ENCRYPT_DATA

See Also:
  Constant Field Values

### NAME_CKM_DSA_PARAMETER_GEN

    public static final String NAME_CKM_DSA_PARAMETER_GEN

See Also:
  Constant Field Values

### NAME_CKM_DH_PKCS_PARAMETER_GEN

    public static final String NAME_CKM_DH_PKCS_PARAMETER_GEN

See Also:
  Constant Field Values

### NAME_CKM_X9_42_DH_PARAMETER_GEN

    public static final String NAME_CKM_X9_42_DH_PARAMETER_GEN

See Also:
  Constant Field Values

### NAME_CKM_VENDOR_DEFINED

    public static final String NAME_CKM_VENDOR_DEFINED

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.